<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */
// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);


lzCustomLable($wp_customize, 'luzuk_sec_leftsidebox', 'luzuk_premium_contactus_section', 'Left Box ');

backgroundManager($wp_customize, 'contactusinn', 'luzuk_premium_contactus_section', $color='#fff', get_template_directory_uri().'/images/appform.jpg', 'color');

lzCustomLable($wp_customize, 'luzuk_sec_leftsidehedsttng', 'luzuk_premium_contactus_section', 'Heading Setting');

$wp_customize->add_setting(
    'luzuk_contactus_lefttitleftsize',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '40px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'luzuk_contactus_lefttitleftsize',
    array(
        'settings'      => 'luzuk_contactus_lefttitleftsize',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Heading Font Size', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
	'luzuk_contactus_lefttitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'CONNECT WITH ME!', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_lefttitle',
	array(
		'settings'      => 'luzuk_contactus_lefttitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Heading Text', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_codetailbx', 'luzuk_premium_contactus_section', 'Details Box ');

$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+000 1111 22222 33', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No.', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'info@yourmailhere.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '895 Barrett Ave Morgan Hill California 95037 United States', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_codetailclr', 'luzuk_premium_contactus_section', 'Left Box Color Setting');

addColorPalatOption($wp_customize, 'luzuk_contactus_hdngclr', 'luzuk_premium_contactus_section', 'Heading Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnClr1', 'luzuk_premium_contactus_section', 'Phone, Email And Location Icon Color 1', '#6f38eb');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnClr2', 'luzuk_premium_contactus_section', 'Phone, Email And Location Icon Color 2', '#549de1');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Phone, Email And Location Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Phone And Email Hover Color', '#ff8c4f');

lzCustomLable($wp_customize, 'luzuk_sec_rightsidebox', 'luzuk_premium_contactus_section', 'Right Box ');

$wp_customize->add_setting(
        'contactus_form_heading2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contactus_form_heading2',
        array(
            'settings'      => 'contactus_form_heading2',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( 'Form Setting ', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
	'luzuk_contactus_shortcode_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'GET IN TOUCH WITH ME!', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode_lbl',
	array(
		'settings'      => 'luzuk_contactus_shortcode_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_formclr', 'luzuk_premium_contactus_section', 'Form Color Setting');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbxbgClr', 'luzuk_premium_contactus_section', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbxshdClr', 'luzuk_premium_contactus_section', 'Box Shadow Color', '#d1daf4');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleColor', 'luzuk_premium_contactus_section', 'Form Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text And Placeholder Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbgClr', 'luzuk_premium_contactus_section', 'Form Input BG Color', '#e5eafd');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#634fef');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#ff74a3');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbxbtnshdClr', 'luzuk_premium_contactus_section', 'Button Shadow Color', '#caceda');

// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'luzuk-premium' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));

