<?php    
/**
 * @package luzuk Premium
 */

function total_dymanic_styles(){
    global $post;
    $primColor = get_theme_mod( 'luzuk_template_color', '#ffb27a' );

    $headertopheadbgclr = get_theme_mod( 'header_topheadbgclr', '#ece8f9' );
    $navigationrespnavtoggbarbgssColor = get_theme_mod( 'header_respnavtoggbarbgssColor', '#000' );
    $navigationrespnavbsbgssColor = get_theme_mod( 'header_respnavbsbgssColor', '#fff' );
    $navigationrespnavmenutitleColor = get_theme_mod( 'header_navigationrespnavbrssColor', '#000' ); 
    $navigationrespnavmenutitlebgColor = get_theme_mod( 'header_navigationrespnavmenuttlbgColor', '#d5d5d5' );
    $navigationrespnavmenuColor = get_theme_mod( 'header_navigationrespnavmenuColor', '#fff' );
    $navigationrespnavmenubgColor = get_theme_mod( 'header_navigationrespnavmenubgColor', '#624cf6' );

    $color_rgba = totalColourBrightness($primColor, 0.3);
    $darker_color = totalColourBrightness($primColor, -0.5);
    $header_image = get_header_image();

    $headeingFontRow = get_theme_mod('luzuk_general_headeing_font', '31');
    $textFontRow = get_theme_mod('luzuk_general_text_font', '31');

// fot bottom header padding
    $headerlogoTopsetmaxwidth = get_theme_mod('pages_logoTopsetmaxwidth', '100');

// Inner page Header opacity
    $innheadrOpacity = get_theme_mod('innheadr_Opacity', '0.1');

//About section
    $aboutTpadding = get_theme_mod('about_areaTpadding', '2em');
    $aboutBpadding = get_theme_mod('about_areaBpadding', '1.5em');

//Feature section
    $featureTpadding = get_theme_mod('feature_areaTpadding', '5em');
    $featureBpadding = get_theme_mod('feature_areaBpadding', '3em');

//Services section
    $servicesTpadding = get_theme_mod('service_areaTpadding', '1em');
    $servicesBpadding = get_theme_mod('service_areaBpadding', '1em');


//topcategories section
    $topcategoriesTpadding = get_theme_mod('topcategories_areaTpadding', '5em');
    $topcategoriesBpadding = get_theme_mod('topcategories_areaBpadding', '4em');

//step section
    $stepTpadding = get_theme_mod('step_areaTpadding', '5em');
    $stepBpadding = get_theme_mod('step_areaBpadding', '5em');

//product section
    $producttoppadding = get_theme_mod('productssec_toppadding', '5em');
    $productbottompadding = get_theme_mod('productssec_bottompadding', '4em');

//footer
    $SectionfooterseTmargin = get_theme_mod('sec_footerseTmargin', '0em');
    $Sectionfootersebottommargin = get_theme_mod('sec_footersebottommargin', '0em');

    $bottomareaTmargin = get_theme_mod('sec_bottomareaTmargin', '0.6em');
    $bottomareabottommargin = get_theme_mod('sec_bottomareabottommargin', '0.6em');

    $bulletpointicon = get_theme_mod('bulletpointicon', '\f008');

//inner page
    $headerinnerpageheading = get_theme_mod('pages_innerpageheading', '40px');
    $headerinnerpageheading2 = get_theme_mod('pages_innerpageheading2', '30px');
    $headerinnerpageheading3 = get_theme_mod('pages_innerpageheading3', '24px');
    $headerinnerpageheading4 = get_theme_mod('pages_innerpageheading4', '22px');
    $headerinnerpageheading5 = get_theme_mod('pages_innerpageheading5', '19px');
    $headerinnerpageheading6 = get_theme_mod('pages_innerpageheading6', '18px');

    $bloginnerpageheading2 = get_theme_mod('blogpages_innerpageheading2', '22px');
    $contactpagesheading4 = get_theme_mod('contactpages_innerpageheading2', '45px');
    
    $headingFont = getFonts(false, (int)$headeingFontRow);
    $textFont = getFonts(false, (int)$textFontRow);

    $custom_css = '';
    $custom_css = " body, * {font-family: $textFont;}

.ht-section-title, 
.ht-title-wrap, 
.ht-slide-cap-title, h1, h2, h3, h4, h5, h6,

.slider_section .title,
.slider_section .title span,
.slider_section .title small,
.slider_section .title strong,
.slider_section .title b,
.slider_section .title big,
.slider_section .title sub,
.slider_section .title sup,

.section-title h2, 
.section-title h2 span, 
.section-title h2 small, 
.section-title h2 strong, 
.section-title h2 big, 
.section-title h2 b, 
.section-title h2 sub, 
.section-title h2 sup,

.inner-area-title, 
.inner-area-title small, 
.inner-area-title span, 
.inner-area-title strong, 
.inner-area-title sub, 
.inner-area-title sup, 
.inner-area-title big, 
.inner-area-title b,

#ht-contactus-wrap h1,
#ht-contactus-wrap h1 small, 
#ht-contactus-wrap h1 strong,
#ht-contactus-wrap h1 span, 
#ht-contactus-wrap h1 sub,
#ht-contactus-wrap h1 sup,
#ht-contactus-wrap h1 big,
#ht-contactus-wrap h1 b,

main#innerpage-box .social_area h4, 
main#innerpage-box .social_area h4 small,
main#innerpage-box .social_area h4 strong,
main#innerpage-box .social_area h4 span,
main#innerpage-box .social_area h4 sub,
main#innerpage-box .social_area h4 sup,
main#innerpage-box .social_area h4 big, 
main#innerpage-box .social_area h4 b,

.woocommerce div.product .product_title,
.woocommerce div.product .product_title span,
.woocommerce div.product .product_title small, 
.woocommerce div.product .product_title strong,
.woocommerce div.product .product_title big, 
.woocommerce div.product .product_title b,
.woocommerce div.product .product_title sup,
.woocommerce div.product .product_title sub,

main#innerpage-box h2.woocommerce-loop-product__title,
main#innerpage-box h2.woocommerce-loop-product__title span,
main#innerpage-box h2.woocommerce-loop-product__title small, 
main#innerpage-box h2.woocommerce-loop-product__title strong,
main#innerpage-box h2.woocommerce-loop-product__title big, 
main#innerpage-box h2.woocommerce-loop-product__title b,
main#innerpage-box h2.woocommerce-loop-product__title sup,
main#innerpage-box h2.woocommerce-loop-product__title sub,

body.page-template-default main#innerpage-box h4, 
div#commentsAdd h4, 
body.page-template-default main#innerpage-box h4 span, 
div#commentsAdd h4 span,
body.page-template-default main#innerpage-box h4 small, 
div#commentsAdd h4 small,
body.page-template-default main#innerpage-box h4 strong, 
div#commentsAdd h4 strong,
body.page-template-default main#innerpage-box h4 sub, 
div#commentsAdd h4 sub,
body.page-template-default main#innerpage-box h4 sup, 
div#commentsAdd h4 sup,
body.page-template-default main#innerpage-box h4 big, 
div#commentsAdd h4 big,
body.page-template-default main#innerpage-box h4 b, 
div#commentsAdd h4 b, .btn , .btn span,

#innerpage-box .cntpgtxt a,
h5 span  {font-family: $headingFont; }

.top-bar-head{ background: url('$header_image'); background-repeat: no-repeat; background-size: cover;}

.page-template-home-template .ht-main-navigation .current_page_item > a {color: #fff;}
.logo-header.mostion img{max-width: $headerlogoTopsetmaxwidth%;}

.page-main-header .overlay1{opacity: $innheadrOpacity;}

#about{padding-top: $aboutTpadding;}
#about{padding-bottom: $aboutBpadding;}

#feature{padding-top: $featureTpadding;}
#feature{padding-bottom: $featureBpadding;}

#service{padding-top: $servicesTpadding;}
#service{padding-bottom: $servicesBpadding;}

#topcategories{padding-top: $topcategoriesTpadding;}
#topcategories{padding-bottom: $topcategoriesBpadding;}

#product-section{padding-top: $producttoppadding;}
#product-section{padding-bottom: $productbottompadding;}

#footer{padding-top: $SectionfooterseTmargin;}
#footer{padding-bottom: $Sectionfootersebottommargin;}

.footer-area .bottom-area{padding-top: $bottomareaTmargin;}
.footer-area .bottom-area{padding-bottom: $bottomareabottommargin;}

#content-box ul li:before,
#content-box ul li:before{content: '$bulletpointicon' !important;}

main#innerpage-box h1,
body.page-template-default main#innerpage-box h1, .ht-main-title,
#ht-contactus-wrap h1{font-size: $headerinnerpageheading;}

body.page-template-default main#innerpage-box h2,
main#innerpage-box h2,
#blog-box h4,
h1.product_title.entry-title{font-size: $headerinnerpageheading2;}

main#innerpage-box h3,
body.page-template-default main#innerpage-box h3,
#innerpage-box div#content-box .teamdesbox h3,
.widget .widget-title, .widget .post-title,
div#sitemap-box h3{font-size: $headerinnerpageheading3;}

main#innerpage-box h4,
div#commentsAdd h4,
main#innerpage-box .main-inner-ser-bx h4.panel-header a{font-size: $headerinnerpageheading4;}

main#innerpage-box h5{font-size: $headerinnerpageheading5;}

main#innerpage-box h6,
body.page-template-default main#innerpage-box h6,
div#blog-box.innerpage-whitebox h6{font-size: $headerinnerpageheading6;}

main#innerpage-box #blog-box h2{font-size: $bloginnerpageheading2;}

main#innerpage-box .Address_area h4,
main#innerpage-box .social_area h4,
.page-template-contact-template main#innerpage-box .Address_area h4, 
.page-template-contact-template main#innerpage-box .social_area h4{font-size: $contactpagesheading4;}
    
    ";

    $custom_css .= "
button,
input[type='button'],
input[type='reset'],
input[type='submit'],
.widget-area .widget-title:after,
h3#reply-title:after,
h3.comments-title:after,
.nav-previous a,
.nav-next a,
.pagination .page-numbers,    
.ht-progress-bar-length,
.ht-service-post-wrap:after,
.ht-service-icon,
.ht-counter:after,
.ht-counter:before,
.ht-testimonial-wrap .bx-wrapper .bx-controls-direction a,
.ht-cta-buttons a.ht-cta-button1,
.ht-cta-buttons a.ht-cta-button2:hover,
#ht-back-top:hover,
.entry-readmore a,
.woocommerce #respond input#submit, 
.woocommerce a.button, 
.woocommerce button.button, 
.woocommerce input.button,
.woocommerce ul.products li.product:hover .button,
.woocommerce #respond input#submit.alt, 
.woocommerce a.button.alt, 
.woocommerce button.button.alt, 
.woocommerce input.button.alt,
.woocommerce nav.woocommerce-pagination ul li a, 
.woocommerce nav.woocommerce-pagination ul li span,
.woocommerce span.onsale,
.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
.woocommerce #respond input#submit.disabled, 
.woocommerce #respond input#submit:disabled, 
.woocommerce #respond input#submit:disabled[disabled], 
.woocommerce a.button.disabled, .woocommerce a.button:disabled, 
.woocommerce a.button:disabled[disabled], 
.woocommerce button.button.disabled, 
.woocommerce button.button:disabled, 
.woocommerce button.button:disabled[disabled], 
.woocommerce input.button.disabled, 
.woocommerce input.button:disabled, 
.woocommerce input.button:disabled[disabled],
.woocommerce #respond input#submit.alt.disabled, 
.woocommerce #respond input#submit.alt.disabled:hover, 
.woocommerce #respond input#submit.alt:disabled, 
.woocommerce #respond input#submit.alt:disabled:hover, 
.woocommerce #respond input#submit.alt:disabled[disabled], 
.woocommerce #respond input#submit.alt:disabled[disabled]:hover, 
.woocommerce a.button.alt.disabled, 
.woocommerce a.button.alt.disabled:hover, 
.woocommerce a.button.alt:disabled, 
.woocommerce a.button.alt:disabled:hover, 
.woocommerce a.button.alt:disabled[disabled], 
.woocommerce a.button.alt:disabled[disabled]:hover, 
.woocommerce button.button.alt.disabled, 
.woocommerce button.button.alt.disabled:hover, 
.woocommerce button.button.alt:disabled, 
.woocommerce button.button.alt:disabled:hover, 
.woocommerce button.button.alt:disabled[disabled], 
.woocommerce button.button.alt:disabled[disabled]:hover, 
.woocommerce input.button.alt.disabled, 
.woocommerce input.button.alt.disabled:hover, 
.woocommerce input.button.alt:disabled, 
.woocommerce input.button.alt:disabled:hover, 
.woocommerce input.button.alt:disabled[disabled], 
.woocommerce input.button.alt:disabled[disabled]:hover,
.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
.woocommerce-MyAccount-navigation-link a,
#ht-princing-post-section .ht-princing-icon,
.ht-princing-icon,      
.readmore a,
.page-main-header,
#content-box ol li:before,
.ht-slide-cap-descmore a,
.days-time-day,
.lz-feature-text ul li i,
.feature-icon,
.pagingation .current,
.pagingation a:hover,
.ht-appintment-member-wrap:after,
#commentsAdd input[type='submit'],
section#inner-blog-section .readMore:hover,
.woocommerce #content div.product .woocommerce-tabs ul.tabs li:hover, 
.woocommerce div.product .woocommerce-tabs ul.tabs li:hover, 
.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li:hover,
.woocommerce-page div.product .woocommerce-tabs ul.tabs li:hover,
.ht-main-navigation ul ul,
.pagination .page-numbers.current, .pagination a.page-numbers:hover,
div#sitemap-box h3,
.ht-blog-thumbnail .socialMedia a,
.widget_calendar tfoot tr td a ,
#sidebars h4,
.wp-block-group__inner-container h2,
.widget-area form#searchform:after,
.woocommerce #content div.product .woocommerce-tabs ul.tabs li, 
.woocommerce div.product .woocommerce-tabs ul.tabs li, 
.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li, 
.woocommerce-page div.product .woocommerce-tabs ul.tabs li {background: {$primColor};}


.ht-post-info .entry-date span.ht-day,
.entry-categories .fa,
.widget-area a:hover,
.comment-list a:hover,
.no-comments,
.woocommerce .woocommerce-breadcrumb a:hover,
#total-breadcrumbs a:hover,
.ht-featured-link a,
.ht-portfolio-cat-name-list .fa,
.ht-portfolio-cat-name:hover, 
.ht-portfolio-cat-name.active,
.ht-portfolio-caption a,
.ht-team-detail,
.ht-counter-icon,
.woocommerce ul.products li.product .price,
.woocommerce div.product p.price, 
.woocommerce div.product span.price,
.woocommerce .product_meta a:hover,
.woocommerce-error:before, 
.woocommerce-info:before, 
.woocommerce-message:before,
.featured-post:after,
.featured-post:before,
.featured-link a,
.breadcrumbbox a,
#ht-colophon .social-profile-icons a:hover,
footer#ht-colophon ul li a:hover,
.ht-footer .textwidget .fa,
h6.secondry-text,
#ht-about-us-section ul li:before,
.pluses.text-right i.fa.fa-plus,
.ht-section-tagline.lz-newslatter-text b,
#content-box ul li:before,
.offtimebox h4.offtime-text,
#ht-masthead .header-social-links span:hover,
#ht-masthead ul.header-menu-links li.mailto a:hover,
.ht-slider-highlighttext,
.edit-link a,
.inner-blog-post .socialMedia a:hover,
#comments a, 
#commentsAdd a,
#content-box a,
#content-box a i:hover,
#respond .stars span a,
#content-box .socialMedia a:hover,
.post-date-publishable i,
.woocommerce .star-rating span,
.woocommerce div.product .woocommerce-product-rating a,
#content-box .socialbxsinglepost:hover a i,
section#inner-blog-section h2.title small,
section#inner-blog-section h2.title a,
div#secondary li.current_page_item > a,
div#secondary .social-profile-icons ul li i,
.woocommerce .star-rating::before,
.socialMedia a:hover, #innerpage-box strong, #innerpage-box p strong
.luzuk-time div:nth-child(8) div.days-time-day,
div#content-box header.woocommerce-Address-title.title a:hover,
#blog-box .ht-blog-date, #blog-box .ht-blog-date .fa,
.woocommerce table.shop_attributes th,
.widget-area span.woocommerce-Price-amount.amount,
main#innerpage-box .blog-date span,
main#innerpage-box h2.woocommerce-loop-product__title small,
main#innerpage-box h2.woocommerce-loop-product__title { color:{$primColor};}

.ht-featured-link a,
.ht-counter,
.ht-testimonial-wrap .bx-wrapper img,
.ht-blog-post,
#ht-colophon,
.woocommerce ul.products li.product:hover, 
.woocommerce-page ul.products li.product:hover,
.woocommerce #respond input#submit, 
.woocommerce a.button, 
.woocommerce button.button, 
.woocommerce input.button,
.woocommerce ul.products li.product:hover .button,
.woocommerce #respond input#submit.alt, 
.woocommerce a.button.alt, 
.woocommerce button.button.alt, 
.woocommerce input.button.alt,
.woocommerce div.product .woocommerce-tabs ul.tabs,
.woocommerce #respond input#submit.alt.disabled, 
.woocommerce #respond input#submit.alt.disabled:hover, 
.woocommerce #respond input#submit.alt:disabled, 
.woocommerce #respond input#submit.alt:disabled:hover, 
.woocommerce #respond input#submit.alt:disabled[disabled], 
.woocommerce #respond input#submit.alt:disabled[disabled]:hover, 
.woocommerce a.button.alt.disabled, 
.woocommerce a.button.alt.disabled:hover, 
.woocommerce a.button.alt:disabled, 
.woocommerce a.button.alt:disabled:hover, 
.woocommerce a.button.alt:disabled[disabled], 
.woocommerce a.button.alt:disabled[disabled]:hover, 
.woocommerce button.button.alt.disabled, 
.woocommerce button.button.alt.disabled:hover, 
.woocommerce button.button.alt:disabled, 
.woocommerce button.button.alt:disabled:hover, 
.woocommerce button.button.alt:disabled[disabled], 
.woocommerce button.button.alt:disabled[disabled]:hover, 
.woocommerce input.button.alt.disabled, 
.woocommerce input.button.alt.disabled:hover, 
.woocommerce input.button.alt:disabled, 
.woocommerce input.button.alt:disabled:hover, 
.woocommerce input.button.alt:disabled[disabled], 
.woocommerce input.button.alt:disabled[disabled]:hover,
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle
.page-template-home-template .ht-main-navigation li:hover > a,
.home.blog .ht-main-navigation li:hover > a,
.page-template-home-template .ht-main-navigation .current > a,
.home.blog .ht-main-navigation .current > a,
.featured-post:before,
#blog-box .blog-read-more a,
main#innerpage-box .page-testimonial-box:hover,
.woocommerce ul.products li.product:hover, .woocommerce-page ul.products li.product:hover, 
main#innerpage-box .page-testimonial-box:hover .team-thumb img,
#ht-masthead .header-social-links span:hover,
.woocommerce ul.products li.product .button,
.newsletter-form-box input[type='email'],
div#sitemap-box h3:before,#sitemap-box:before ,
#content .tags a,
.inner_contentbox .socialMedia ul li a i{  border-color: {$primColor} !important;}

div#commentsAdd,
#ht-masthead,
.woocommerce-error, 
.woocommerce-info, 
.woocommerce-message,
div#sitemap-box{ border-top-color: {$primColor};}

.nav-next a:after{ border-left-color: {$primColor};}

.nav-previous a:after{ border-right-color: {$primColor}; }
.ht-active .ht-service-icon{
        box-shadow: 0px 0px 0px 2px #FFF, 0px 0px 0px 4px {$primColor};
 }

.woocommerce ul.products li.product .onsale:after{
    border-color: transparent transparent {$darker_color} {$darker_color};
}

.woocommerce span.onsale:after{
    border-color: transparent {$darker_color} {$darker_color} transparent
}


@media screen and (max-width: 991px){
    header .js-nav-toggle{border-color: {$navigationrespnavtoggbarbgssColor} !important;}
    header .js-nav-toggle span, header .js-nav-toggle span::before, 
    header .js-nav-toggle span::after{background-color: {$navigationrespnavtoggbarbgssColor};}
    header .nav-wrapper.show-menu{
        background:{$navigationrespnavbsbgssColor};
    }
    header nav .nav-title{
        color:{$navigationrespnavmenutitleColor};
    }
    header nav .nav-back:before{
        border-top-color:{$navigationrespnavmenutitleColor} !important;
    }
    header nav .nav-back:before{
        border-left-color:{$navigationrespnavmenutitleColor} !important;
    }
    header nav .nav-back:after{
        background-color:{$navigationrespnavmenutitleColor} !important;
    }
    header nav .nav-toggle{
        background-color:{$navigationrespnavmenutitlebgColor};
    }
    header .nav-wrapper nav a, header .nav-wrapper nav ul.sub-menu a,
    header nav li .submenu-icon i{
        color:{$navigationrespnavmenuColor} !important;
    }
    header .nav-wrapper nav{
        background-color:{$navigationrespnavmenubgColor};
    }
}

@media screen and (max-width: 991px){
.site-header {
    background:{$headertopheadbgclr};
}
}

";

    // heading text colour 
$headingColor = get_theme_mod('luzuk_title_color', '#fe5722');
$custom_css .= '.title-color{color:'.$headingColor.';}';

    // START SECONDARY COLOR CSS
$secondary = get_theme_mod('theme_secondary_color', '#624df0');
$custom_css .='
.secondry-bg,
   #commentsAdd input[type="submit"]:hover,
input[type="button"]:hover, 
input[type="reset"]:hover, 
input[type="submit"]:hover,
div#secondary input[type="submit"]:hover,
.socialMedia a,
section#inner-blog-section .readMore,
.woocommerce ul.products li.product .button:hover,
section#inner-blog-section h2.title,
.woocommerce #respond input#submit:hover,
.woocommerce a.button:hover, 
.woocommerce button.button:hover, 
.woocommerce input.button:hover,
div#content-box .wc-proceed-to-checkout a:hover,
.woocommerce #payment #place_order:hover, 
.woocommerce-page #payment #place_order:hover,
.woocommerce div.product form.cart .button:hover,
.single-productpage #sidebars button:hover,
.entry-readmore a:hover,
.pagination .page-numbers,
main#innerpage-box .ht-blog-thumbnail a:after,
.woocommerce-loop-category__title mark{
    background-color:'.$secondary.' !important
}    
    #blog-box .blog-read-more a:hover,
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
.socialMedia a:hover,
.woocommerce ul.products li.product .button:hover,
.woocommerce #respond input#submit:hover,
.woocommerce a.button:hover, 
.woocommerce button.button:hover, 
.woocommerce input.button:hover,
div#content-box .wc-proceed-to-checkout a:hover,
.woocommerce #payment #place_order:hover, 
.woocommerce-page #payment #place_order:hover 
{border-color: '.$secondary.';}

main#innerpage-box #blog-box h2, 
main#innerpage-box #blog-box h2 small,
div#secondary .social-profile-icons ul li i:hover {color:'.$secondary.';}  

.woocommerce-MyAccount-navigation-link.is-active a,
.inner_contentbox .socialMedia ul li a:hover i {color:'.$secondary.' !important;}    

.product_list_widget .amount,
.product_list_widget del .amount,
.woocommerce ul.products li.product .total-product-title-wrap small,
.total-product-title-wrap,
.woocommerce div.product .product_title small,
.woocommerce div.product .product_title,
div#content-box p a:hover,
div#content-box .woocommerce-info a:hover,
section#inner-blog-section h2.title:hover small,
.woocommerce .widget_rating_filter ul li a:hover span,
.woocommerce .star-rating:hover, 
.woocommerce-page .star-rating:hover span,
.woocommerce ul.products li.product .price del, .site-title a,
.widget-area del span.woocommerce-Price-amount.amount
{color: '.$secondary.';}

';

 // header menus 

$headerinnpagetopmenusClr = get_theme_mod('header_innpagetopmenusClr', '#000');
$HeadertopmenusColorColor = get_theme_mod('header_topmenusColor', '#000');
$HeadertopmenushoverColorColor = get_theme_mod('header_topmenushoverColor', '#fff');
$headertopmenushVBGClr = get_theme_mod('header_topmenushVBGClr', '#6551f1');
$HeadertopmenusactiveColorColor = get_theme_mod('header_topmenusactiveColor', '#f0655e');
$HeadertopsubmenusColor = get_theme_mod('header_topsubmenusColor', '#000');
$HeadertopsubmenushvrColor = get_theme_mod('header_topsubmenushvrColor', '#e3ea4c');
$HeadertopsubmenushvbgColor = get_theme_mod('header_topsubmenushvbgColor', '#f0655e');
$navigationrestopsubmenusbgsscColor = get_theme_mod( 'header_submenusbgsscColor', '#fff' );
$navigationrestopsubmenusbgbrdClr = get_theme_mod( 'header_submenusbgbrdClr', '#ff64a1' );
$headerrhsbtntxtclr = get_theme_mod( 'header_rhsbtntxtclr', '#fff' );
$headerbtnphnicnclr = get_theme_mod( 'header_btnphnicnclr', '#e4ef49' );
$headerrhsbtntxthvclr = get_theme_mod( 'header_rhsbtntxthvclr', '#fff' );
$headerrhsbtnbgclr = get_theme_mod( 'header_rhsbtnbgclr', '#000' );
$headerrhsbtnbghvclr = get_theme_mod( 'header_rhsbtnbghvclr', '#f0655e' );
$headerrhsbtnshdwclr = get_theme_mod( 'header_rhsbtnshwclr', '#a8adbf' );
$headerSiteTitleClr = get_theme_mod( 'header_SiteTitleClr', '#ff62a3' );
$HeaderSiteTaglineColor = get_theme_mod( 'header_SiteTaglineColor', '#ff62a3' );
$navigationheadersubmenusbordercColor = get_theme_mod( 'header_headersubmenusbordercColor', '#ffffff' );

    $custom_css .= '

.navigation .mainmenu li a{color: '.$headerinnpagetopmenusClr.';}
.home .navigation .mainmenu li a{color: '.$HeadertopmenusColorColor.';}
.navigation .mainmenu li a:hover,
div#navbarNavDropdown li.current_page_item a:hover, .current_page_item > a:hover{color: '.$HeadertopmenushoverColorColor.';}
.navigation .mainmenu li a::before{background-color: '.$headertopmenushVBGClr.';}
.navigation .mainmenu li.current_page_item a, .current_page_item > a{color: '.$HeadertopmenusactiveColorColor.';}
.navigation .mainmenu li.current_page_item a, 
.navigation .mainmenu>li>a:active,
.navigation .mainmenu>li>a:hover{border-color: '.$HeadertopmenusactiveColorColor.'!important;}

header.site-header ul.sub-menu li a,  
.navigation .mainmenu li.current_page_item ul.sub-menu li a, 
.header.site-header ul.sub-menu li a{color: '.$HeadertopsubmenusColor.';}

header.site-header ul.sub-menu li a:hover,
.navigation .mainmenu ul.sub-menu li.current_page_item a, ul.sub-menu .current_page_item > a,
div#navbarNavDropdown ul.sub-menu li.current_page_item a:hover, ul.sub-menu .current_page_item > a:hover,
div#navbarNavDropdown li.current_page_item ul.sub-menu li a:hover,
.header.site-header ul.sub-menu li:hover a
   {color: '.$HeadertopsubmenushvrColor.';}

.navigation .mainmenu ul.sub-menu li.current_page_item a, 
.navigation .mainmenu ul.sub-menu li:hover a{background-color: '.$HeadertopsubmenushvbgColor.';}

ul.sub-menu, header.site-header ul.sub-menu{background-color: '.$navigationrestopsubmenusbgsscColor.';}
header.site-header ul.sub-menu{border-color: '.$navigationrestopsubmenusbgbrdClr.';}

header .mob a{color: '.$headerrhsbtntxtclr.';}
header .mob i{color: '.$headerbtnphnicnclr.';}
header .mob a:hover{color: '.$headerrhsbtntxthvclr.';}
header .mob a:before, header .mob i{background-color: '.$headerrhsbtnbgclr.';}
header .mob a:after{background-color: '.$headerrhsbtnbghvclr.';}
header .mob a{box-shadow: 21px 11px 61px 14px '.$headerrhsbtnshdwclr.';}

.ht-site-title a{color: '.$headerSiteTitleClr.';}
.ht-site-description a{color: '.$HeaderSiteTaglineColor.';}
.navigation .mainmenu ul.sub-menu li a:after{background-color: '.$navigationheadersubmenusbordercColor.';}
  ';

// main slider section
  if(get_theme_mod('luzuk_premium_slider_section_background','on') == 'on' ){

    $bgimg = get_theme_mod('luzuk_slider_bg_image');
    $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/sliderBg.jpg';

    $custom_css .= '#ht-home-slider-section{background-image: url("'.$img.'");background-position: top;background-repeat: no-repeat;background-size: cover;}';
}else{
    $color = get_theme_mod('luzuk_slider_bg_color', '#fff');
    if('#fff' != $color){
        $custom_css .= '#ht-home-slider-section {background-color: '.$color.';}';
    }
}
    
// slider color
$sliderimgbrdColor1 = get_theme_mod('slider_imgbrdColor1', '#e3ea4c');
$sliderimgbrdColor2 = get_theme_mod('slider_imgbrdColor2', '#f0655e');
$slidertitleColor = get_theme_mod('slider_TitleColor', '#000');
$slidertextColor = get_theme_mod('slider_textColor', '#393c43');
$slidershdwColor = get_theme_mod('slider_ButtonshdwClr', '#a8adbf');
$sliderButtonTextClr = get_theme_mod('slider_ButtonTextClr', '#fff');
$sliderButtonTexthvClr = get_theme_mod('slider_ButtonTexthvClr', '#fff');
$sliderButtongradcolor1 = get_theme_mod('slider_ButtonbgColor', '#000');
$sliderButtongradcolor2 = get_theme_mod('slider_ButtonbghoverColor', '#f0655e');
$sliderSocialiconClr = get_theme_mod('slider_SocialiconColor', '#fff');
$sliderSocialiconClr1 = get_theme_mod('slider_SocialiconColor1', '#fb545b');
$sliderSocialiconClr2 = get_theme_mod('slider_SocialiconColor2', '#73cade');
$sliderSocialiconClr3 = get_theme_mod('slider_SocialiconColor3', '#454261');

$custom_css .= '
.ht-slide-cap-title, .ht-slide-cap-title small {color: '.$slidertitleColor.';}
#slider .slider-imgbrd{background-image: linear-gradient( 55deg,'.$sliderimgbrdColor1.' 46%,'.$sliderimgbrdColor2.' 88%);}
.ht-slide-cap-desc, .ht-slide-cap-desc small {color: '.$slidertextColor.';}
#ht-home-slider-section a.btn{box-shadow: 21px 11px 42px 14px '.$slidershdwColor.';}
#ht-home-slider-section .slider-social a i{box-shadow: 21px 16px 61px 20px '.$slidershdwColor.';}
#ht-home-slider-section a.btn{color: '.$sliderButtonTextClr.';}
#ht-home-slider-section a.btn:hover{color: '.$sliderButtonTexthvClr.';}
#slider a.btn:before{background-color: '.$sliderButtongradcolor1.';}
#slider a.btn:after{background-color: '.$sliderButtongradcolor2.';}
#ht-home-slider-section .slider-social a i{color: '.$sliderSocialiconClr.';}
#ht-home-slider-section .slider-social a:nth-child(1) i{background: '.$sliderSocialiconClr1.';}
#ht-home-slider-section .slider-social a:nth-child(2) i{background: '.$sliderSocialiconClr2.';}
#ht-home-slider-section .slider-social a:nth-child(3) i{background: '.$sliderSocialiconClr3.';}
';

//Product Category Section

    // category section

    if(get_theme_mod('luzuk_premium_topcategories_section_background','on') == 'on' ){
        
        $bgimg = get_theme_mod('luzuk_topcategories_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/serbg.png';
        
        $custom_css .= '#topcategories{background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('luzuk_topcategories_bg_color', '#ffffff');
      if('#ffffff' != $color){
         $custom_css .= '#topcategories{background-color: '.$color.';}';
       }
    }

//Product Category Section color

$topcategoriessubheadbrdclr = get_theme_mod('topcategories_subheadbrdclr', '#301007');
$topcategoriessubheadclr = get_theme_mod('topcategories_subheadclr', '#f8a738');
$topcategories_headclr = get_theme_mod('topcategories_headclr', '#301007');

$topcategoriescattimghvclr = get_theme_mod('topcategories_cattimghvclr', '#f8a738');
$topcategoriescattitle = get_theme_mod('topcategories_cattitle', '#301007');

$topcategoriessliderditbor = get_theme_mod('topcategories_sliderditbor', '#301007');
$topcategoriesslideractivedotbor = get_theme_mod('topcategories_slideractivedotbor', '#f8a738');

    $custom_css .= '

#topcategories .section-title .titleicon:before{border-color: '.$topcategoriessubheadbrdclr.';}
#topcategories .section-title .titleicon svg{fill: '.$topcategoriessubheadbrdclr.';}

#topcategories .section-title h1 , #topcategories .section-title h1 small{color: '.$topcategoriessubheadclr.';}
#topcategories .section-title h2 , #topcategories .section-title h2 small{color: '.$topcategories_headclr.';}

#topcategories .pro-cat-img .p-olay{background-color: '.$topcategoriescattimghvclr.';}
#topcategories .pro-cat-content h5 span{color: '.$topcategoriescattitle.';}

#topcategories .owl-theme .owl-dots .owl-dot span{background-color: '.$topcategoriessliderditbor.';}
#topcategories .owl-theme .owl-dots .owl-dot span:hover, 
#topcategories .owl-theme .owl-dots .owl-dot.active span{background-color: '.$topcategoriesslideractivedotbor.';}      

        ';


//Service Section

if(get_theme_mod('luzuk_premium_service_section_background','off') == 'on' ){

    $bgimg = get_theme_mod('luzuk_service_bg_image');
    $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/serbg.png';

    $custom_css .= '#service{background-image: url("'.$img.'");background-position: top;background-size: cover;background-repeat: no-repeat;}';
}else{
    $color = get_theme_mod('luzuk_service_bg_color', '#f1f5fe');
    if('#f1f5fe' != $color){
        $custom_css .= '#service {background-color: '.$color.';}';
    }
}

//section color 

$serviceareasubtitlebrd = get_theme_mod('servicearea_subtitlebrd_clr', '#ee7376');
$Serviceareasectitle = get_theme_mod('servicearea_sectitle_color', '#000');
$serviceareaboxbgclr = get_theme_mod('servicearea_boxbg_clr', '#fdfdff');
$serviceareaboxshdwclr = get_theme_mod('servicearea_boxshdw_clr', '#d1daf4');
$serviceareaboxhvbrdclr = get_theme_mod('serarea_boxhvbrd_clr', '#ece8f9');
$serviceareaboxhvbrdclr2 = get_theme_mod('serarea_boxhvbrd_clr2', '#fdf1f3');
$serviceareaboxhvbrdclr3 = get_theme_mod('serarea_boxhvbrd_clr3', '#fdf0e7');
$serviceareaboxiconclr = get_theme_mod('servicearea_iconClr', '#fff');
$serviceareaboxiconbgclr1 = get_theme_mod('servicearea_iconbgClr1', '#624cf6');
$serviceareaboxiconbgclr2 = get_theme_mod('servicearea_iconbgClr2', '#ff62a3');
$serviceareaboxiconbgclr3 = get_theme_mod('servicearea_iconbgClr3', '#ff8c4f');
$ServiceSubttlColor = get_theme_mod('services_SubttlColor', '#757575');
$serviceareaTitleClr = get_theme_mod('servicearea_TitleClr', '#000');

$custom_css .= '

.service-area .section-title h2:after{border-color: '.$serviceareasubtitlebrd.';}
.service-area h2, .service-area h2 small{color: '.$Serviceareasectitle.';}
.service-area .ser-wave svg{fill: '.$serviceareaboxbgclr.';}
.service-area .single-service{box-shadow: 48px 6px 61px 15px '.$serviceareaboxshdwclr.';}
.service-area .single-service{background: '.$serviceareaboxbgclr.';}
.service-area .single-service-bx:nth-child(3n - 2) svg path{fill: '.$serviceareaboxhvbrdclr.';}
.service-area .single-service-bx:nth-child(3n - 1) svg path{fill: '.$serviceareaboxhvbrdclr2.';}
.service-area .single-service-bx:nth-child(3n - 0) svg path{fill: '.$serviceareaboxhvbrdclr3.';}
.service-area .service-icon i{color: '.$serviceareaboxiconclr.';}
.service-area .single-service-bx:nth-child(3n - 2) .service-icon i{background: linear-gradient(40deg, transparent -91%, '.$serviceareaboxiconbgclr1.' 80%);}
.service-area .single-service-bx:nth-child(3n - 2) .service-icon i{box-shadow: 26px 13px 75px -13px '.$serviceareaboxiconbgclr1.';}
.service-area .single-service-bx:nth-child(3n - 1) .service-icon i{background: linear-gradient(40deg, transparent -91%, '.$serviceareaboxiconbgclr2.' 80%);}
.service-area .single-service-bx:nth-child(3n - 1) .service-icon i{box-shadow: 26px 13px 75px -13px '.$serviceareaboxiconbgclr2.';}
.service-area .single-service-bx:nth-child(3n - 0) .service-icon i{background: linear-gradient(40deg, transparent -91%, '.$serviceareaboxiconbgclr3.' 80%);}
.service-area .single-service-bx:nth-child(3n - 0) .service-icon i{box-shadow: 26px 13px 75px -13px '.$serviceareaboxiconbgclr3.';}
.service-area p{color: '.$ServiceSubttlColor.';}
.service-area h4, .service-area h4 small{color: '.$serviceareaTitleClr.';}
';


// Services Inner page:

$InnerServiceTitleColor = get_theme_mod('luzuk_InnerServiceTitleColor', '#000');
$InnerServiceTextColor = get_theme_mod('luzuk_InnerServiceTextColor', '#787878');

$InnerServicebtniconColor = get_theme_mod('luzuk_InnerServicentmbtniconColor', '#fff');
$InnerServicebtniconhvClr = get_theme_mod('luzuk_InnerServicentmbtniconhvClr', '#fff');
//$InnerServicebtnbrdClr = get_theme_mod('luzuk_InnerServicebtnbrdClr', '#301007');

$InnerServiceboxbgColor = get_theme_mod('luzuk_InnerServiceboxbgColor', '#fdfdff');
$InnerServiceboxshdColor = get_theme_mod('luzuk_InnerServiceboxshwColor', '#d1daf4');
$InnerServiceboxbgovlyClr1 = get_theme_mod('luzuk_InnerServiceboxbgovlyColor1', '#ece8f9');
$InnerServiceboxbgovlyClr2 = get_theme_mod('luzuk_InnerServiceboxbgovlyColor2', '#fdf1f3');
$InnerServiceboxbgovlyClr3 = get_theme_mod('luzuk_InnerServiceboxbgovlyColor3', '#fcefe6');
$InnerServicebtniconbgColor1 = get_theme_mod('luzuk_InnerServicentmbtniconbgColor1', '#634fef');
$InnerServicebtniconbgColor2 = get_theme_mod('luzuk_InnerServicentmbtniconbgColor2', '#ff63a2');
$InnerServicebtniconbgColor3 = get_theme_mod('luzuk_InnerServicentmbtniconbgColor3', '#fe8b4a');
$InnerServicebtniconbghvClr = get_theme_mod('luzuk_InnerServicentmbtnbghvClr', '#000');

$custom_css .= '
#innerpage-box .serbx h2,
#innerpage-box .serbx h2 small{color: '. $InnerServiceTitleColor.' !important;}

#innerpage-box .serbx p{color: '. $InnerServiceTextColor.';}

#innerpage-box .service_inbox{background-color: '. $InnerServiceboxbgColor.';}
#innerpage-box .service_inbox{box-shadow: 0px 6px 61px 20px '. $InnerServiceboxshdColor.';}

#innerpage-box .inn-single-service-bx:nth-child(3n - 1) .serbx .serin-shw svg path{fill: '. $InnerServiceboxbgovlyClr1.';}
#innerpage-box .inn-single-service-bx:nth-child(3n - 0) .serbx .serin-shw svg path{fill: '. $InnerServiceboxbgovlyClr2.';}
#innerpage-box .inn-single-service-bx:nth-child(3n - 2) .serbx .serin-shw svg path{fill: '. $InnerServiceboxbgovlyClr3.';}
#innerpage-box .inn-single-service-bx:nth-child(3n - 1) .serbtn a:before{background: linear-gradient(265deg,transparent -83%,'. $InnerServicebtniconbgColor1.' 28%);}
#innerpage-box .inn-single-service-bx:nth-child(3n - 1) .singleinner-service .service_inimg:before{background: linear-gradient('. $InnerServicebtniconbgColor1.','. $InnerServicebtniconbgColor1.',transparent);}

#innerpage-box .inn-single-service-bx:nth-child(3n - 0) .serbtn a:before{background: linear-gradient(265deg,transparent -83%,'. $InnerServicebtniconbgColor2.' 28%);}
#innerpage-box .inn-single-service-bx:nth-child(3n - 0) .singleinner-service .service_inimg:before{background: linear-gradient('. $InnerServicebtniconbgColor2.','. $InnerServicebtniconbgColor2.',transparent);}
#innerpage-box .inn-single-service-bx:nth-child(3n - 2) .serbtn a:before{background: linear-gradient(265deg,transparent -83%,'. $InnerServicebtniconbgColor3.' 28%);}
#innerpage-box .inn-single-service-bx:nth-child(3n - 2) .singleinner-service .service_inimg:before{background: linear-gradient('. $InnerServicebtniconbgColor3.','. $InnerServicebtniconbgColor3.',transparent);}
#innerpage-box .serbtn a{color: '. $InnerServicebtniconColor.';}
#innerpage-box .serbtn a:hover{color: '. $InnerServicebtniconhvClr.';}
#innerpage-box .serbtn a:after{background: '. $InnerServicebtniconbghvClr.';}

';
// about Us Section

if(get_theme_mod('luzuk_premium_aboutus_section_background','off') == 'on' ){

    $bgimg = get_theme_mod('luzuk_aboutus_bg_image');
    $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default.png';

    $custom_css .= '#about{background-image: url("'.$img.'");background-position: top;background-size: 100%;background-repeat: no-repeat;}';
}else{
    $color = get_theme_mod('luzuk_aboutus_bg_color', '#f1f5fe');
    if('#f1f5fe' != $color){
        $custom_css .= '#about {background-color: '.$color.';}';
    }
}

// about section color
$aboutsecsigbrd1 = get_theme_mod('about_secsigbrd1', '#e3ea4c'); 
$aboutsecsigbrd2 = get_theme_mod('about_secsigbrd2', '#ff4f55'); 
$aboutsecsbuheading = get_theme_mod('about_secsbuheading', '#7e7f84');  
$aboutsecsbuheadingbrd = get_theme_mod('about_secsbuheadingbrd', '#ee7376');  
$aboutareasectitle = get_theme_mod('about_area_sectitle_color', '#000');
$aboutareaTextColor = get_theme_mod('about_area_text', '#6b6e73');
$aboutpagebxicn = get_theme_mod('about_area_pagebxicn', '#f25695');
$aboutareapagetitleClr = get_theme_mod('about_area_pagetitle', '#000');
$aboutareapageshdwClr = get_theme_mod('about_area_btnshdwclr', '#a8adbf');
$aboutareabtntext = get_theme_mod('about_area_btntext', '#fff');
$aboutareabtntexthv = get_theme_mod('about_area_btntexthv', '#fff');
$aboutareabtnbg = get_theme_mod('about_area_btnbg', '#000');
$aboutareabtnbghv = get_theme_mod('about_area_btnbghv', '#f25695');

$custom_css .= ' 

#about .abtbrd{background-image: linear-gradient( 307deg,'.$aboutsecsigbrd1.' 51%,'.$aboutsecsigbrd2.' 86%);}
#about .section-title h1:after{border-color: '.$aboutsecsbuheadingbrd.';}
#about .section-title h1, 
#about .section-title h1 small{color: '.$aboutsecsbuheading.';}
#about .section-title h2, 
#about .section-title h2 small{color: '.$aboutareasectitle.';}
#about .section-subtext p{color: '.$aboutareaTextColor.';}
#about .about-area-data h4, 
#about .about-area-data h4 small{color: '.$aboutareapagetitleClr.';}
#about .hi-icon span{color: '.$aboutpagebxicn.';}
#about .abt-btn a{box-shadow: 34px 9px 60px 11px '.$aboutareapageshdwClr.';}
#about .abt-btn a{color: '.$aboutareabtntext.';}
#about .abt-btn a:hover{color: '.$aboutareabtntexthv.';}
#about .abt-btn a:before{background-color: '.$aboutareabtnbg.';}
#about .abt-btn a:after{background: '.$aboutareabtnbghv.'; }

';

// feature section 

if(get_theme_mod('luzuk_premium_featureus_section_background','off') == 'on' ){

    $bgimg = get_theme_mod('luzuk_featureus_bg_image');
    $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';

    $custom_css .= '#feature{background-image: url("'.$img.'");background-position: top;background-size: cover;}';
}else{
    $color = get_theme_mod('luzuk_featureus_bg_color', '#fff');
    if('#fff' != $color){
        $custom_css .= '#feature{background-color: '.$color.';}';
    }
}

//feature section color

$featuresubHeadingbrdclr = get_theme_mod('feature_subHeadingbrd_clr', '#301007');
$featuresubHeadingclr = get_theme_mod('feature_subHeading_clr', '#f8a738');
$featureHeadingclr = get_theme_mod('feature_Heading_clr', '#301007');
$featurepagebx = get_theme_mod('feature_area_pagebx', '#fde3be');
$featurepagebxbrd = get_theme_mod('feature_area_pagebxbrd', '#301007');

$featureareapageiconClr = get_theme_mod('feature_area_pageicon', '#301007');

$featureareapagetitleColor = get_theme_mod('feature_area_pagetitle', '#301007');
$featureareafeaturetextclr = get_theme_mod('feature_textclr', '#5e605d');

$featurebtntextclr = get_theme_mod('feature_btntextclr', '#301007');
$featurebtntexthvclr = get_theme_mod('feature_btntexthvclr', '#fff');
$featurebtnbrdclr = get_theme_mod('feature_btntextbrdclr', '#301007');
$featurebtnbgclr = get_theme_mod('feature_btntextbgclr', '#f8a738');
$featurebtnbghvclr = get_theme_mod('feature_btntextbghvclr', '#301007');

$custom_css .= ' 

#feature .section-title .titleicon svg{fill: '.$featuresubHeadingbrdclr.';}
#feature .section-title .titleicon:before{border-color: '.$featuresubHeadingbrdclr.';}
#feature .section-title h1,
#feature .section-title h1 small{color: '.$featuresubHeadingclr.';}
#feature .section-title h2,
#feature .section-title h2 small{color: '.$featureHeadingclr.';}
#feature .featureus-single{background-color: '.$featurepagebx.';}
#feature .fea-brd{border-color: '.$featurepagebxbrd.';}

#feature .feature-area-data h4, 
#feature .feature-area-data h4 small{color: '.$featureareapagetitleColor.';}
#feature .feature-area-data p{color: '.$featureareafeaturetextclr.';}
#feature .hi-icon span{color: '.$featureareapageiconClr.';}

#feature .feabtn a{color: '.$featurebtntextclr.';}
#feature .feabtn a:hover{color: '.$featurebtntexthvclr.';}
#feature .feabtn{background-color: '.$featurebtnbrdclr.';}
#feature .feabtn a{background-color: '.$featurebtnbgclr.';}
';

//colors

$InnerTeamNameCColor = get_theme_mod('pages_InnerTeamNameCColor', '#fff');
$InnerTeamTeamDesignationColor = get_theme_mod('pages_InnerTeamDesignationCColor', '#fff');
$InnerTeambxcbgClr1 = get_theme_mod('pages_InnerTeambxcbgClr1', '#ff8a4c');
$InnerTeambxcbgClr2 = get_theme_mod('pages_InnerTeambxcbgClr2', '#6550e9');
$InnerTeambxcbgClr3 = get_theme_mod('pages_InnerTeambxcbgClr3', '#ff63a2');
$InnerTeambxcbgClr4 = get_theme_mod('pages_InnerTeambxcbgClr4', '#fe9e62');
$InnerTeambximgbrdClr1 = get_theme_mod('pages_InnerTeambximgbrdClr1', '#fd6f23');
$InnerTeambximgbrdClr2 = get_theme_mod('pages_InnerTeambximgbrdClr2', '#4d35eb');
$InnerTeambximgbrdClr3 = get_theme_mod('pages_InnerTeambximgbrdClr3', '#fe97ac');
$InnerTeambximgbrdClr4 = get_theme_mod('pages_InnerTeambximgbrdClr4', '#fd8c52');
$InnerTeamsocialssbgColor1 = get_theme_mod('pages_InnerTeamsocialsbgColor1', '#ff2f85');
$InnerTeamsocialssbgColor2 = get_theme_mod('pages_InnerTeamsocialsbgColor2', '#20cdeb');
$InnerTeamsocialssbgColor3 = get_theme_mod('pages_InnerTeamsocialsbgColor3', '#452af1');
$InnerTeamsocialssColor = get_theme_mod('pages_InnerTeamsocialsColor', '#fff');
//$InnerTeamsocialshoverColor = get_theme_mod('pages_InnerTeamsocialshvrsColor', '#f8a738');

$custom_css .= '#innerpage-box .inner-team h3.inner-area-title , 
#innerpage-box .inner-team h3.inner-area-title small{color: '.$InnerTeamNameCColor.';}
#innerpage-box .textbx .team-designation{color: '.$InnerTeamTeamDesignationColor.';}
#innerpage-box .team-social-icon li:nth-child(1) a i{background: '.$InnerTeamsocialssbgColor1.';}
#innerpage-box .team-social-icon li:nth-child(2) a i{background: '.$InnerTeamsocialssbgColor2.';}
#innerpage-box .team-social-icon li:nth-child(3) a i{background: '.$InnerTeamsocialssbgColor3.';}
#innerpage-box .team-social-icon a i{color: '.$InnerTeamsocialssColor.';}
#innerpage-box .single-team:nth-child(4n - 3) .inner-team{background-color: '.$InnerTeambxcbgClr1.';}
#innerpage-box .single-team:nth-child(4n - 3) .inner-team{box-shadow: 0px 22px 77px -18px '.$InnerTeambxcbgClr1.';}
#innerpage-box .single-team:nth-child(4n - 2) .inner-team{background-color: '.$InnerTeambxcbgClr2.';}
#innerpage-box .single-team:nth-child(4n - 2) .inner-team{box-shadow: 0px 22px 77px -18px '.$InnerTeambxcbgClr2.';}
#innerpage-box .single-team:nth-child(4n - 1) .inner-team{background-color: '.$InnerTeambxcbgClr3.';}
#innerpage-box .single-team:nth-child(4n - 1) .inner-team{box-shadow: 0px 22px 77px -18px '.$InnerTeambxcbgClr3.';}
#innerpage-box .single-team:nth-child(4n - 0) .inner-team{background-color: '.$InnerTeambxcbgClr4.';}
#innerpage-box .single-team:nth-child(4n - 0) .inner-team{box-shadow: 0px 22px 77px -18px '.$InnerTeambxcbgClr4.';}
#innerpage-box .single-team:nth-child(4n - 3) .single-team-img .innteam-brd{background: '.$InnerTeambximgbrdClr1.';}
#innerpage-box .single-team:nth-child(4n - 2) .single-team-img .innteam-brd{background: '.$InnerTeambximgbrdClr2.';}
#innerpage-box .single-team:nth-child(4n - 1) .single-team-img .innteam-brd{background: '.$InnerTeambximgbrdClr3.';}
#innerpage-box .single-team:nth-child(4n - 0) .single-team-img .innteam-brd{background: '.$InnerTeambximgbrdClr4.';}
';
 
//colors

$innerTsbxbgColor1 = get_theme_mod('luzuk_innertestimonials_bxbgclr1', '#f9659f');
$innerTsbxbgColor2 = get_theme_mod('luzuk_innertestimonials_bxbgclr2', '#fd8f50');
$innerTsbxbgColor3 = get_theme_mod('luzuk_innertestimonials_bxbgclr3', '#fd8f50');
$innerTsbxbgColor4 = get_theme_mod('luzuk_innertestimonials_bxbgclr4', '#6956e3');
$innerTsicnColor = get_theme_mod('luzuk_innertestimonials_icnclr', '#fff');
$innerTsNameColor = get_theme_mod('luzuk_innertestimonials_Namecolor', '#fff');
$innerTstextColor = get_theme_mod('luzuk_innertestimonials_textcolor', '#fff');
$innerTsBoxpostionColor = get_theme_mod('luzuk_innertestimonials_postioncolor', '#fff');
$innerTsBoxcontrybrdclr = get_theme_mod('luzuk_innertestimonials_contrybrdclr', '#fff');

$custom_css .= '

#innerpage-box .ts-area-c p{color: '.$innerTstextColor.';}
#innerpage-box h5.ts-area-title, #innerpage-box h5.ts-area-title small{color: '.$innerTsNameColor.' !important;}
#innerpage-box .innertest-item:nth-child(4n - 3) .tsarea-innbx{background: linear-gradient(247deg,transparent -117%,'.$innerTsbxbgColor1.' 63%);}
#innerpage-box .innertest-item:nth-child(4n - 2) .tsarea-innbx{background: linear-gradient(247deg,transparent -117%,'.$innerTsbxbgColor2.' 63%);}
#innerpage-box .innertest-item:nth-child(4n - 1) .tsarea-innbx{background: linear-gradient(247deg,transparent -117%,'.$innerTsbxbgColor3.' 63%);}
#innerpage-box .innertest-item:nth-child(4n - 0) .tsarea-innbx{background: linear-gradient(247deg,transparent -117%,'.$innerTsbxbgColor4.' 63%);}
#innerpage-box .ts-area-c i{color: '.$innerTsicnColor.' ;}
#innerpage-box .innertest-item .text-designation{color: '.$innerTsBoxpostionColor.';}
#innerpage-box h5.ts-area-title:before{border-color: '.$innerTsBoxcontrybrdclr.';}

';
 
    // For Footer

if(get_theme_mod('luzuk_premium_footer_section_background','off') == 'on' ){

    $bgimg = get_theme_mod('luzuk_footer_bg_image');
    $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default.png';

    $custom_css .= '.footer-area{background-image: url("'.$img.'");background-position: top;background-size: cover;background-repeat:no-repeat;}';
}else{
    $color = get_theme_mod('luzuk_footer_bg_color', '#fceae0');
    if('#fceae0' != $color){
        $custom_css .= '.footer-area{background-color: '.$color.';}';
    }
}

// colors

//$footerarea_olayclr = get_theme_mod('footerarea_olayclr', '#301007');
$footernewsbxbrdclr = get_theme_mod('footerarea_newsbxbrdclr', '#fac9a9');
$footernewsbxbgclr = get_theme_mod('footerarea_newsbxbgclr', '#fff');
$footernewstextclr = get_theme_mod('footerarea_newstextclr', '#1f1c1c');
$footercopyrightbrdclr = get_theme_mod('footerarea_copyrightbrdclr', '#b4afa9');
$FooterAreaTitleColor = get_theme_mod('footerarea_title_color', '#000');
$FooterAreaTextColor = get_theme_mod('footerarea_text_color', '#6e6a69');
$FooterAreaiconColor1 = get_theme_mod('footerarea_icon_color1', '#ff65a3');
$FooterAreaiconColor2 = get_theme_mod('footerarea_icon_color2', '#f78a4f');
$FooterAreaiconColor3 = get_theme_mod('footerarea_icon_color3', '#6450f0');
$FooterAreasiconColor = get_theme_mod('footerarea_sicon_color', '#fff');
$FooterAreasiconbgColor = get_theme_mod('footerarea_siconbg_color', '#6450f0');
$FooterAreasiconbghvColor = get_theme_mod('footerarea_siconbghv_clr', '#6450f0');
$FooterAreamenuColor = get_theme_mod('footerarea_menu_color', '#6e6a69');
$FooterAreadatextColor = get_theme_mod('footerarea_datext_color', '#ff8645');
$FooterAreatabgColor = get_theme_mod('FooterAreatabgColor', '#fff');
$FooterAreatabrdClr = get_theme_mod('FooterAreatabrdClr', '#feb78d');
$FooterAreaformtextColor = get_theme_mod('footerarea_formtext_color', '#6b6a67');
$FootermenuhoverColor = get_theme_mod('footerarea_menuhover_color', '#ff65a3');
$FooteractivemenuColor = get_theme_mod('footerarea_activemenu_color', '#ff65a3');
$FooterformtextlabelColor = get_theme_mod('footerarea_formtextlabel_color', '#000');
$footerareabuttontextColor = get_theme_mod('footerarea_formbuttontext_clr', '#fff');
$footerareabuttontexthvColor = get_theme_mod('footerarea_formbtntxthv_clr', '#ff65a3');
$footerareaformbuttonbgclr = get_theme_mod('footerarea_formbuttonbg_clr', '#000');
$footerareaformbuttonbghvclr = get_theme_mod('footerarea_formbuttonbghv_clr', '#6752f9');

$custom_css .= 'footer#footer.footer-area .widget-title,
.footer-area .newstitle h3,.footer-area .newstitle h3 small {color: '.$FooterAreaTitleColor.';}
.footer-area .f-newsletterbx{border-color: '.$footernewsbxbrdclr.';}
.footer-area .f-newsletterbx .overlay{background: '.$footernewsbxbgclr.';}
.footer-area .f-newsletterbx .newstitle p{color: '.$footernewstextclr.' !important;}
.footer-area p, .footer-area caption, .footer-area table td, 
.footer-area .textwidget{color: '.$FooterAreaTextColor.' !important;}

.footer-area p:nth-child(3n - 2) i,.footer-area li:before{color: '.$FooterAreaiconColor1.' ;}
.footer-area p:nth-child(3n - 1) i,.footer-area li:before{color: '.$FooterAreaiconColor2.' ;}
.footer-area p:nth-child(3n - 0) i,.footer-area li:before{color: '.$FooterAreaiconColor3.' ;}
.footer-area .social-profile-icons ul li a i{color: '.$FooterAreasiconColor.';}
.footer-area .social-profile-icons ul li a{background-color: '.$FooterAreasiconbgColor.';}
.footer-area .social-profile-icons ul li a:hover i{color: '.$FooterAreasiconbghvColor.';}

.footer-area .footer-text,.footer-area li a,
.footer-area .tagcloud a{color: '.$FooterAreamenuColor.';}

.footer-area span.post-date, 
.footer-area .widget_calendar table tbody td, 
.footer-area .widget_calendar table tbody td a, 
.footer-area .widget_calendar table tbody td#today a{color: '.$FooterAreadatextColor.' !important;}

.footer-area input[type="text"], .footer-area input[type="email"], .footer-area input[type="url"], 
.footer-area input[type="password"], .footer-area input[type="search"], .footer-area input[type="number"], 
.footer-area input[type="tel"],.footer-area input[type="range"], .footer-area input[type="date"], 
.footer-area input[type="month"],.footer-area input[type="week"], .footer-area input[type="time"],
.footer-area input[type="datetime"],.footer-area input[type="datetime-local"], 
.footer-area input[type="color"], .footer-area textarea,footer#footer.footer-area select{background-color: '.$FooterAreatabgColor.'!important;}

.footer-area input[type="text"], .footer-area input[type="email"], .footer-area input[type="url"], 
.footer-area input[type="password"], .footer-area input[type="search"], .footer-area input[type="number"], 
.footer-area input[type="tel"],.footer-area input[type="range"], .footer-area input[type="date"], 
.footer-area input[type="month"],.footer-area input[type="week"], .footer-area input[type="time"],
.footer-area input[type="datetime"],.footer-area input[type="datetime-local"], 
.footer-area input[type="color"], .footer-area textarea,footer#footer.footer-area select{border-color: '.$FooterAreatabrdClr.'!important;}

.footer-area input[type="text"]::placeholder, .footer-area input[type="email"]::placeholder, .footer-area input[type="url"]::placeholder, .footer-area input[type="password"]::placeholder, .footer-area input[type="search"]::placeholder, .footer-area input[type="number"]::placeholder, .footer-area input[type="tel"]::placeholder, .footer-area input[type="range"]::placeholder, .footer-area input[type="date"]::placeholder, .footer-area input[type="month"]::placeholder, .footer-area input[type="week"]::placeholder, .footer-area input[type="time"]::placeholder, .footer-area input[type="datetime"]::placeholder, .footer-area input[type="datetime-local"]::placeholder, .footer-area input[type="color"]::placeholder, .footer-area textarea::placeholder,
.footer-area input[type="text"], .footer-area input[type="email"], .footer-area input[type="url"], .footer-area input[type="password"], .footer-area input[type="search"], .footer-area input[type="number"], .footer-area input[type="tel"], .footer-area input[type="range"], .footer-area input[type="date"], .footer-area input[type="month"], .footer-area input[type="week"], .footer-area input[type="time"], .footer-area input[type="datetime"], .footer-area input[type="datetime-local"], .footer-area input[type="color"], .footer-area textarea, .footer-area select, .footer-area .widget.widget_categories select{color: '.$FooterAreaformtextColor.';}
.footer-area li a:hover, .footer-area .tagcloud a:hover, .footer-area li.current_page_item a:hover, .footer-area li:hover:before, .footer-text a:hover, .footer-area li.current_page_item:hover:before{color: '.$FootermenuhoverColor.';}
.footer-area li.current_page_item a, .footer-area li.current_page_item:before{color: '.$FooteractivemenuColor.';}
footer#footer label span, .footer-area div.wpcf7 input[type="file"], .footer-area .widget_calendar table thead tr th,
footer#footer div.wpcf7 p label{color: '.$FooterformtextlabelColor.';}

.footer-area input[type="submit"]{color: '.$footerareabuttontextColor.';}
.footer-area input[type="submit"]:hover{color: '.$footerareabuttontexthvColor.';}
.footer-area input[type="submit"]{background-color: '.$footerareaformbuttonbgclr.';}
.footer-area input[type="submit"]:hover{background-color: '.$footerareaformbuttonbghvclr.'!important;}
.footer-area .widget_calendar tfoot tr td a,
.footer-area .s-footer .textwidget p a{color: '.$FooterformtextlabelColor.';}
.footer-area .footer-border{border-color: '.$footercopyrightbrdclr.';}
'; 

//Model Inner page colors

$mdlinnshdClr = get_theme_mod('luzuk_innmodelecimgshdclr', '#d1daf4');
$mdlinnimghvClr1 = get_theme_mod('luzuk_innmodelecimghvclr1', '#ff62a3');
$mdlinnimghvClr2 = get_theme_mod('luzuk_innmodelecimghvclr2', '#624cf6');
$mdlinntitleClr = get_theme_mod('luzuk_innmodelecttle', '#000');
$mdlinntitlehvClr = get_theme_mod('luzuk_innmodelecttlehvclr', '#f25695');

$custom_css .= '

#innerpage-box .model-imginn{box-shadow: 48px 6px 61px 15px '.$mdlinnshdClr.';}
#innerpage-box .model-iconinn:before{background: linear-gradient(0deg, '.$mdlinnimghvClr2.' 30%, '.$mdlinnimghvClr1.' 56%);}
#innerpage-box .single-modelinn h3{color:'.$mdlinntitleClr.' !important;}
#innerpage-box .single-modelinn:hover h3{color:'.$mdlinntitlehvClr.' !important;}

';

//Video Inner page colors

$videoimgshdwClr = get_theme_mod('luzuk_innvideoboxshdwColor', '#d1daf4');
$videoiplaybtnClr = get_theme_mod('luzuk_innvideoplaybtnColor', '#000');
$videoiplaybtnbgClr = get_theme_mod('luzuk_innvideoplaybtnbgColor', '#fff');
$videoinameClr = get_theme_mod('luzuk_innvideonameColor', '#000');
$videoinamebgClr = get_theme_mod('luzuk_innvideonamebgColor', '#fff');

$custom_css .= '

#innerpage-box .videous-singleinn{box-shadow: 26px 24px 56px 15px '.$videoimgshdwClr.';}
#innerpage-box .video-boxinn .video-iconinn i{color: '.$videoiplaybtnClr.';}
#innerpage-box .video-boxinn .video-iconinn ::after{border-color: '.$videoiplaybtnClr.';}
#innerpage-box .video-boxinn .video-ovlyinn{background: '.$videoiplaybtnbgClr.';}
#innerpage-box .video-area-datainn h4 a{color: '.$videoinameClr.' !important;}
#innerpage-box .videous-singleinn{background: '.$videoinamebgClr.';}
';

//Gallery Inner page colors

$gallinntitleClr = get_theme_mod('luzuk_gallinntitleClr', '#fff');
$gallinnimgClr = get_theme_mod('luzuk_gallinnimgClr', '#000');
$gallinnimghvClr = get_theme_mod('luzuk_gallinnimghvClr', '#000');
$gallinntitlebgClr = get_theme_mod('luzuk_gallinntitlebgClr', '#fe6da4');
//$luzukgallinnicnbgClr = get_theme_mod('luzuk_gallinnicnbgClr', '#fff');

$custom_css .= '

#innerpage-box .lz-gallery-images .spa-gall{border-color: '.$gallinnimgClr.';}
#innerpage-box .lz-gallery-images .spa-gall{background: '.$gallinnimghvClr.';}
#innerpage-box .lz-gallery-images .over-text h3,
#innerpage-box .lz-gallery-images .over-text h3 small{color: '.$gallinntitleClr.' ;}
#innerpage-box .lz-gallery-images .over-text{background-color: '.$gallinntitlebgClr.';}

';

$faqinnerpageimgbrdColor = get_theme_mod('luzuk_faqinnimgbrdClr', '#fd8f50');
$faqinnerpagetitleColor = get_theme_mod('luzuk_faqinnerpagetitleColor', '#fff');
$faqinnerpagetitleboxbgColor1 = get_theme_mod('luzuk_faqinnerpagetitleboxbgColor1', '#ff8a4a');
$faqinnerpagetitleboxbgColor2 = get_theme_mod('luzuk_faqinnerpagetitleboxbgColor2', '#ff63a2');
$faqinnerpagetitleboxbgColor3 = get_theme_mod('luzuk_faqinnerpagetitleboxbgColor3', '#634fef');
$faqinnerpagetexbgClr1 = get_theme_mod('luzuk_faqinnerpagetexbgClr1', '#fddec9');
$faqinnerpagetexbgClr2 = get_theme_mod('luzuk_faqinnerpagetexbgClr2', '#f7dfe9');
$faqinnerpagetexbgClr3 = get_theme_mod('luzuk_faqinnerpagetexbgClr3', '#dedbf3');
$faqinnerpagetextcColor = get_theme_mod('luzuk_faqinnerpagetextcColor', '#918f90');

$custom_css .= 'main#innerpage-box div#content-box h6.faq-title,
main#innerpage-box div#content-box h6.faq-title small,
div#content-box .faq-content button.accordion:before{color: '.$faqinnerpagetitleColor.';}

div#content-box .faq-img .faq-brd{background: linear-gradient(274deg,transparent -175%,'.$faqinnerpageimgbrdColor.' 74%);}
div#content-box .faq-content:nth-child(3n - 2) button.accordion{background: linear-gradient(to left,transparent -117%,'.$faqinnerpagetitleboxbgColor1.' 90%);}
div#content-box .faq-content:nth-child(3n - 1) button.accordion{background: linear-gradient(to left,transparent -117%,'.$faqinnerpagetitleboxbgColor2.' 90%);}
div#content-box .faq-content:nth-child(3n - 0) button.accordion{background: linear-gradient(to left,transparent -117%,'.$faqinnerpagetitleboxbgColor3.' 90%);}

div#content-box .faq-content:nth-child(3n - 2) button.accordion:before{background: '.$faqinnerpagetitleboxbgColor1.';}
div#content-box .faq-content:nth-child(3n - 1) button.accordion:before{background: '.$faqinnerpagetitleboxbgColor2.';}
div#content-box .faq-content:nth-child(3n - 0) button.accordion:before{background: '.$faqinnerpagetitleboxbgColor3.';}

div#content-box .faq-content:nth-child(3n - 2) div.panel.show{background-color: '.$faqinnerpagetexbgClr1.';}
div#content-box .faq-content:nth-child(3n - 1) div.panel.show{background-color: '.$faqinnerpagetexbgClr2.';}
div#content-box .faq-content:nth-child(3n - 0) div.panel.show{background-color: '.$faqinnerpagetexbgClr3.';}
div#content-box .faq-content p{color: '.$faqinnerpagetextcColor.';}
';

//Inner page title color

$innerheaderolyColor = get_theme_mod('luzuk_template_innerpage_headeolyclr', '#fff');
$innertitleColor = get_theme_mod('luzuk_template_innerpage_titlecolor', '#000');
$innersocialiconColor = get_theme_mod('luzuk_template_innerpage_socialiconcolor', '#fff');
$innersocialiconbgColor1 = get_theme_mod('luzuk_template_innerpage_socialiconbgcolor1', '#fb545b');
$innersocialiconbgColor2 = get_theme_mod('luzuk_template_innerpage_socialiconbgcolor2', '#73cade');
$innersocialiconbgColor3 = get_theme_mod('luzuk_template_innerpage_socialiconbgcolor3', '#454261');
$innersocialiconshdColor = get_theme_mod('luzuk_template_innerpage_socialiconshdclr', '#a8adbf');
$innertitlebgColor1 = get_theme_mod('luzuk_template_innerpage_bgcolor1', '#f1f5fe');
$innertitleimgbgColor1 = get_theme_mod('luzuk_template_innerpage_imgbgcolor1', '#e3ea4c');
$innertitleimgbgColor2 = get_theme_mod('luzuk_template_innerpage_imgbgcolor2', '#f0655e');
$innerbreadcrumbtitleColor = get_theme_mod('luzuk_template_innerpage_breadcrumbtitlecolor', '#000');
$innerbreadcrumbcurrenttitleColor = get_theme_mod('luzuk_template_innerpage_breadcrumbcurrenttitlecolor', '#000');
$innerbreadcrumbcurrenttitlehovercolor = get_theme_mod('luzuk_template_innerpage_breadcrumbcurrenttitlehovercolor', '#ff62a3');

$custom_css .= '
.page-main-header .overlay1{background:'.$innerheaderolyColor.';}
.ht-main-title, .single-productpage .ht-main-title,
.ht-main-title small {color: '.$innertitleColor.';}
.innheadrhs .header-social a i{color: '.$innersocialiconColor.';}
.innheadrhs .header-social a:nth-child(1) i{background: '.$innersocialiconbgColor1.';}
.innheadrhs .header-social a:nth-child(2) i{background: '.$innersocialiconbgColor2.';}
.innheadrhs .header-social a:nth-child(3) i{background: '.$innersocialiconbgColor3.';}
.innheadrhs .header-social a i{box-shadow: 21px 14px 61px 10px '.$innersocialiconshdColor.';}
.page-main-header{background:'.$innertitlebgColor1.';}
.page-main-header .img-round{background-image: linear-gradient( 0deg,'.$innertitleimgbgColor1.' 10%,'.$innertitleimgbgColor2.' 75%);}
header .woocommerce-breadcrumb,.page-title,
.breadcrumbbox span, .woocommerce .woocommerce-breadcrumb{color: '.$innerbreadcrumbtitleColor.';}
.breadcrumbbox span a , .woocommerce .woocommerce-breadcrumb a{color: '.$innerbreadcrumbcurrenttitleColor.' !important;}
.breadcrumbbox span a:hover, #content-box .breadcrumbbox span a:hover, .woocommerce .woocommerce-breadcrumb a:hover{color: '.$innerbreadcrumbcurrenttitlehovercolor.';}
';

$innerpagemainsectioninnerpagemainsectionboxheading1 = get_theme_mod('luzuk_template_innerpagemainsectionboxheading1_color', '#000');
$innerpagemainsectioninnerpagemainsectionboxheading2 = get_theme_mod('luzuk_template_innerpagemainsectionboxheading2_color', '#000');
$innerpagemainsectioninnerpagemainsectionboxheading3 = get_theme_mod('luzuk_template_innerpagemainsectionboxheading3_color', '#000');
$innerpagemainsectioninnerpagemainsectionboxheading4 = get_theme_mod('luzuk_template_innerpagemainsectionboxheading4_color', '#000');
$innerpagemainsectioninnerpagemainsectionboxheading5 = get_theme_mod('luzuk_template_innerpagemainsectionboxheading5_color', '#000');
$innerpagemainsectioninnerpagemainsectionboxheading6 = get_theme_mod('luzuk_template_innerpagemainsectionboxheading6_color', '#000');

$innerpagesidebartitleColor = get_theme_mod('template_innerpage_contentboxsidebartitlecolor', '#000');

$innerpagesidebartitleborderColor = get_theme_mod('template_innerpage_contentboxsidebartitlebordercolor', '#ffb27a');

$innerpagesidebartitleiconbgColor = get_theme_mod('template_innerpage_contentboxsidebartitleiconbgcolor', '#ffb27a');

$innerproductpageboldtextColor = get_theme_mod('template_innerpage_productpageboldtextcolor', '#000');

$innercartpageproducttitleColor = get_theme_mod('template_innerpage_cartpageproducttitlecolor', '#000');


$headerinnerpagemainsectionboxtextColor = get_theme_mod('luzuk_template_innerpagemainsectionboxtext_color', '#51555e');
$headerinnerpagemainsectionseperatorColor = get_theme_mod('luzuk_template_innerpagemainsectionseprator_color', '#000');
$innerpagemainsectionboxtextlinksColor = get_theme_mod('luzuk_template_innerpagemainsectionboxtextlinks_color', '#000');
$innerpagemainsectionboxtextlinkshoverColor = get_theme_mod('luzuk_template_innerpagemainsectionboxtextlinkshvrs_color', '#624df0');
$innerpagemainsectionboxtextlinksiconColor = get_theme_mod('luzuk_template_innerpagemainsectionboxtextlinksicon_color', '#f7844d');
$innerpagemainsectionboxtextlinkslistnoColor = get_theme_mod('luzuk_template_innerpagemainsectionboxtextlinkslistno_color', '#000');
$innerpagemainsectionboxtextlinksiconbgssclrlinksiconColor = get_theme_mod('luzuk_template_innerpagemainsectionboxtextlinksiconbgssclr_color', '#fdecda');

$innerpagemainsectionboxtextlinksiconbgssclrlinksbrdColor = get_theme_mod('luzuk_template_innerpagemainsectionboxtextlinksbrdclr_color', '#ffaf77');

$headerinnerpageproductpriceColor = get_theme_mod('luzuk_template_innerpageproductprice_color', '#301007');
$headerinnerpageproductpricedelColor = get_theme_mod('luzuk_template_innerpageproductpricedel_color', '#301007');
$headerinnerpageproductimghovericonColor = get_theme_mod('luzuk_template_innerpageproductimghovericon_color', '#cfd0d5');
$headerinnerpageproductimghovericonbgColor = get_theme_mod('luzuk_template_innerpageproductimghovericonbg_color', '#fff');
$headerinnerpagepaginationColor = get_theme_mod('luzuk_template_innerpagepagination_color', '#000');
$headerinnerpagepaginationbgColor = get_theme_mod('luzuk_template_innerpagepaginationbg_color', '#fff');
$headerinnerpagepaginationborderColor = get_theme_mod('luzuk_template_innerpagepaginationborder_color', '#eaeaea');

$headerinnerpagepaginationactiveColor = get_theme_mod('luzuk_template_innerpagepaginationactive_color', '#fff');
$headerinnerpagepaginationbgactiveColor = get_theme_mod('luzuk_template_innerpagepaginationbgactive_color', '#666565');
$headerinnerpagepaginationborderactiveColor = get_theme_mod('luzuk_template_innerpagepaginationborderactive_color', '#666565');

$backttoparbgclr = get_theme_mod('backt_top_arbgclr', '#634fef');
$backttoparrowclr = get_theme_mod('backt_top_arrowclr', '#fff');
$backttoparrowhvclr = get_theme_mod('backt_top_arrowhvclr', '#fe6aa6');

$innersibebr1clr = get_theme_mod('luzuk_template_sibebr1clr', '#feecd8');
//$innersibebr2clr = get_theme_mod('luzuk_template_sibebr2clr', '#d5a8e9');

$innerpageblogtitlecolor = get_theme_mod('template_innerpage_blogtitleclr', '#000');
$innerpageblogtextclr = get_theme_mod('luzuk_template_innerpage_blogtextclr', '#818181');

$innerpageblogdatebgclr1one = get_theme_mod('innerpage_blogdatebgclr1one', '#ffae76');
$innerpageblogdatebgclr1two = get_theme_mod('innerpage_blogdatebgclr1two', '#ff8d4e');
$innerpageblogdatebgclr2one = get_theme_mod('innerpage_blogdatebgclr2one', '#ff92a5');
$innerpageblogdatebgclr2two = get_theme_mod('innerpage_blogdatebgclr2two', '#ff65a3');
$innerpageblogdatebgclr3one = get_theme_mod('innerpage_blogdatebgclr3one', '#b197fc');
$innerpageblogdatebgclr3two = get_theme_mod('innerpage_blogdatebgclr3two', '#614ef5');
$innerpageblogicnautrclr = get_theme_mod('innerpage_blogicnautrclr', '#000');
$innerpageblogdcicnclr = get_theme_mod('innerpage_blogdcicnclr', '#000');
$innerpageblogbxbgclr = get_theme_mod('template_innerpage_blogbxbgclr', '#fff');
$innerpageblogbxshwclr = get_theme_mod('template_innerpage_blogbxshwclr', '#e5eafd');

$innerpagemainsectionsidebarborderrs = get_theme_mod('luzuk_template_innerpagemainsectionsidebarborderrs_color', '#f3a981');
$innerpagesidebardaytxtColors = get_theme_mod('luzuk_template_innerpagesidebardaytxt_color', '#ffffff');
$innerpagesidebardaybgsstxtColors = get_theme_mod('luzuk_template_innerpagesidebardaybgsstxt_color', '#777777');
$innerpageblockquoteColors = get_theme_mod('luzuk_template_innerpagesblockquote_color', '#feecd8');
$innerpageblockquotetextColors = get_theme_mod('luzuk_template_innerpagesblockquotetext_color', '#000');
$innerpageblockquoteicnClr = get_theme_mod('luzuk_template_innerpagesblockquoteicn_clr', '#f85858');
$innerpageblockquotebrdClr = get_theme_mod('luzuk_template_innerpagesblockquotebrd_clr', '#fdb279');
$innerpageblogbtntxtclr = get_theme_mod('luzuk_template_innerpage_blogbtntxtclr', '#fff');
$innerpageblogbtntxthvclr = get_theme_mod('luzuk_template_innerpage_blogbtntxthvclr', '#fff');
$innerpageblogbtnbgclr = get_theme_mod('luzuk_template_innerpage_blogbtnbgclr', '#000');
$innerpageblogbtnshdclr = get_theme_mod('luzuk_template_innerpage_blogbtnshdclr', '#e5eafd');

    $custom_css .= '
    body.page-template-default main#innerpage-box h1,
main#innerpage-box h1{color: '.$innerpagemainsectioninnerpagemainsectionboxheading1.' !important;}
body.page-template-default main#innerpage-box h2,
main#innerpage-box h2,
main#innerpage-box h2 a, 
main#innerpage-box h2 a small,
.woocommerce #reviews h2 small{color: '.$innerpagemainsectioninnerpagemainsectionboxheading2.';}
main#innerpage-box h3{color: '.$innerpagemainsectioninnerpagemainsectionboxheading3.';}
body.page-template-default main#innerpage-box h4,
div#commentsAdd h4,
main#innerpage-box h4
{color: '.$innerpagemainsectioninnerpagemainsectionboxheading4.';}
main#innerpage-box h5,
body.page-template-default main#innerpage-box h5{color: '.$innerpagemainsectioninnerpagemainsectionboxheading5.';}
main#innerpage-box h6,
div#blog-box.innerpage-whitebox h6{color: '.$innerpagemainsectioninnerpagemainsectionboxheading6.';}

.woocommerce ul.products li.product .price .amount{color: '.$headerinnerpageproductpriceColor.' !important;}
.woocommerce ul.products li.product .price del .amount{color: '.$headerinnerpageproductpricedelColor.' !important;}

main#innerpage-box h2.woocommerce-loop-product__title:before, 
.woocommerce ul.products li.product .button:before{color: '.$headerinnerpageproductimghovericonColor.';}

main#innerpage-box h2.woocommerce-loop-product__title:before, 
.woocommerce ul.products li.product .button:before
{background-color: '.$headerinnerpageproductimghovericonbgColor.';}

.woocommerce div.product .product_meta .posted_in, 
.woocommerce div.product .product_meta .tagged_as,
.woocommerce div.product .product_meta span.sku_wrapper {color: '.$innerproductpageboldtextColor.';}

div#content-box table.shop_table.shop_table_responsive.cart.woocommerce-cart-form__contents tr td a, 
.woocommerce div.product form.cart table.variations tr td label {color: '.$innercartpageproducttitleColor.';}

.woocommerce nav.woocommerce-pagination ul li a, .pagingation a{color: '.$headerinnerpagepaginationColor.';}
.woocommerce nav.woocommerce-pagination ul li a, .pagingation a{background-color: '.$headerinnerpagepaginationbgColor.';}
.woocommerce nav.woocommerce-pagination ul li a, 
.pagingation a{border-color: '.$headerinnerpagepaginationborderColor.';}

body.page-template-default main#innerpage-box h2, 
body.page-template-default main#innerpage-box h1, 
body.page-template-default main#innerpage-box h3,
body.page-template-default main#innerpage-box h5, 
body.page-template-default main#innerpage-box h6, 
main#innerpage-box h2, #blog-box h4, 
h1.product_title.entry-title{border-bottom-color: '.$headerinnerpagepaginationborderColor.';}

.woocommerce nav.woocommerce-pagination ul li a:focus, 
.woocommerce nav.woocommerce-pagination ul li a:hover, 
.woocommerce nav.woocommerce-pagination ul li span.current, 
.pagingation .current, .pagingation a:hover,
.woocommerce nav.woocommerce-pagination ul li span.current, 
.woocommerce-page nav.woocommerce-pagination ul li span.current, 
.woocommerce #content nav.woocommerce-pagination ul li span.current, 
.woocommerce-page #content nav.woocommerce-pagination ul li span.current,
.woocommerce nav.woocommerce-pagination ul li a:hover, 
.woocommerce-page nav.woocommerce-pagination ul li a:hover, 
.woocommerce #content nav.woocommerce-pagination ul li a:hover, 
.woocommerce-page #content nav.woocommerce-pagination ul li a:hover
{color: '.$headerinnerpagepaginationactiveColor.';}

.woocommerce nav.woocommerce-pagination ul li a:focus, 
.woocommerce nav.woocommerce-pagination ul li a:hover, 
.woocommerce nav.woocommerce-pagination ul li span.current, 
.pagingation .current, .pagingation a:hover{background-color: '.$headerinnerpagepaginationbgactiveColor.';}

.woocommerce nav.woocommerce-pagination ul li a:focus, 
.woocommerce nav.woocommerce-pagination ul li a:hover, 
.woocommerce nav.woocommerce-pagination ul li span.current, 
.pagingation .current, .pagingation a:hover,
.woocommerce nav.woocommerce-pagination ul li span.current, 
.woocommerce-page nav.woocommerce-pagination ul li span.current, 
.woocommerce #content nav.woocommerce-pagination ul li span.current, 
.woocommerce-page #content nav.woocommerce-pagination ul li span.current,
.woocommerce nav.woocommerce-pagination ul li a:hover, 
.woocommerce-page nav.woocommerce-pagination ul li a:hover, 
.woocommerce #content nav.woocommerce-pagination ul li a:hover, 
.woocommerce-page #content nav.woocommerce-pagination ul li a:hover
{border-color: '.$headerinnerpagepaginationborderactiveColor.';}

#back2Top{background-color: '.$backttoparbgclr.';}
#back2Top{color: '.$backttoparrowclr.';}
#back2Top:hover{color: '.$backttoparrowhvclr.';}

div#secondary.widget-area .widget{background-color: '.$innersibebr1clr.';}

.wp-block-group__inner-container h2,.wp-block-group__inner-container h2 small,
.widget-area h3.widget-title, #blog-box .widget-area .widget-title,.widget-area .widget-title,
main#innerpage-box h4.widget-title,main#innerpage-box h3.widget-title,#innerpage-box .widget-area .widget-title,
.widget-area .widget h4{color: '.$innerpagesidebartitleColor.' !important;}

.widget-area .widget h4:after, 
.woocommerce div.product form.cart .button, 
.woocommerce-page div.product form.cart .button, 
.woocommerce #content div.product form.cart .button, 
.woocommerce-page #content div.product form.cart .button,
.widget-area .widget-title,
.widget-area .widget-title,#sidebars h4,.woocommerce ul.products li.product .button{background: linear-gradient(247deg,transparent -117%,'.$innerpagesidebartitleborderColor.' 95%) !important;}

#secondary .widget_nav_menu li a:after,.widget-area form#searchform:after
{background: '.$innerpagesidebartitleiconbgColor.';}

.woocommerce div.product .product_meta .posted_in, 
.woocommerce div.product .product_meta .tagged_as,
.woocommerce div.product .product_meta span.sku_wrapper {color: '.$innerproductpageboldtextColor.';}

#innerpage-box p, 
#content-box ul li, 
#content-box ol li, 
main#innerpage-box ul#recentcomments li, 
#blog-box .inner-blog-excerpt,
#secondary input[type="text"],
#secondary input[type="email"],
#secondary input[type="url"],
#secondary input[type="password"],
#secondary input[type="search"],
#secondary input[type="number"],
#secondary input[type="tel"],
#secondary input[type="range"],
#secondary input[type="date"], 
#secondary input[type="month"], 
#secondary input[type="week"], 
#secondary input[type="time"], 
#secondary input[type="datetime"], 
#secondary input[type="datetime-local"], 
#secondary input[type="color"], 
#secondary textarea, 
#secondary select,
#secondary label,
div#secondary select option,
#secondary input::placeholder,
#secondary textarea::placeholder,
#secondary select::placeholder,
#secondary input[type="file"],
main#innerpage-box .widget_calendar table tbody td,
main#innerpage-box li,
div#secondary caption,
.single_post .post-date-publishable,
main#innerpage-box textarea#comment,
.total-comments,
.woocommerce .woocommerce-ordering select,
.woocommerce-product-search .search-field::placeholder,
table.shop_table.woocommerce-checkout-review-order-table,
.woocommerce form .form-row .input-text::placeholder, 
.woocommerce-page form .form-row .input-text::placeholder,
.woocommerce form .form-row input.input-text::placeholder, 
.woocommerce form .form-row textarea::placeholder,
main#innerpage-box input#billing_email,
.select2-container--default .select2-selection--single .select2-selection__rendered,
div#content-box input#account_email,
main#innerpage-box input#account_display_name,
.widget.widget_categories select,
main#innerpage-box .select2-container--default .select2-selection--single .select2-selection__placeholder,
div#secondary select,
main#innerpage-box .woocommerce-product-search .search-field,
main#innerpage-box .woocommerce-product-search .search-field::placeholder,
.woocommerce .woocommerce-result-count,
.woocommerce .widget_price_filter .price_slider_amount,
.select2-container--default .select2-results>.select2-results__options,
.select2-results__option[aria-selected], 
.select2-results__option[data-selected],
.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta, 
.woocommerce-page #reviews #comments ol.commentlist li .comment-text p.meta,
.comment-form-rating,
.comment-respond .comment-reply-title,
.woocommerce .product_meta,
.woocommerce-error, 
.woocommerce-info, 
.woocommerce-message,
.woocommerce-MyAccount-content address,
.woocommerce-MyAccount-content legend,
.woocommerce-MyAccount-content input[type="text"],
.woocommerce table thead th,
.woocommerce form .form-row input.input-text, 
.woocommerce form .form-row textarea,
.woocommerce table.shop_table td,
.woocommerce .quantity .qty,
input#coupon_code::placeholder,
input#coupon_code,
.woocommerce table.shop_table tbody th, 
.error404 .oops-text{color: '.$headerinnerpagemainsectionboxtextColor.';}

.wp-block-separator{border-color: '.$headerinnerpagemainsectionseperatorColor.';}

.price .amount{color: '.$headerinnerpagemainsectionboxtextColor.' !important;}

.widget-area a, .woocommerce-MyAccount-navigation-link a, 
.entry-content p a, div#content-box a, div#sidebars span.product-title, 
div#sitemap-box ul li a, main#innerpage-box .woocommerce-info a.showcoupon,
.woocommerce .product_meta a,
.widget-area ul ul li a{color: '.$innerpagemainsectionboxtextlinksColor.';}

#secondary .widget_archive li a:before,
#secondary .widget_categories li a:before,
#secondary .widget_nav_menu li a:before,
#secondary .widget_recent_entries li a:before,
#sidebars .widget_nav_menu ul li a:before,
#sidebars .widget_recent_entries ul li a:before,
#content-box ul li:before,
main#innerpage-box div#sitemap-box ul li a:before{color: '.$innerpagemainsectionboxtextlinksiconColor.';}

 #content-box ol li:before{color: '.$innerpagemainsectionboxtextlinkslistnoColor.';}

#content-box ol li:before{background-color: '.$innerpagemainsectionboxtextlinksiconbgssclrlinksiconColor.';}

#content-box ol li:before{box-shadow: -4px -2px 0px 1px  '.$innerpagemainsectionboxtextlinksiconbgssclrlinksbrdColor.';}

.widget-area a:hover, .woocommerce-MyAccount-navigation-link a:hover, 
.entry-content p a:hover, div#content-box a:hover, 
div#content-box a:hover small, div#sidebars span.product-title:hover, 
.widget-area li a:hover, div#content-box p a:hover, 
div#sitemap-box ul li a:hover, div#content-box a.shipping-calculator-button:hover,
main#innerpage-box .woocommerce-info a.showcoupon:hover, 
div#content-box div#payment a.woocommerce-privacy-policy-link:hover, 
div#content-box .woocommerce-MyAccount-navigation-link a:hover,
div#content-box a.post-edit-link:hover,
div#content-box .woocommerce-MyAccount-content p a:hover,
div#content-box a.shipping-calculator-button:hover,
div#content-box div#payment a:hover,
.woocommerce .product_meta a:hover{color: '.$innerpagemainsectionboxtextlinkshoverColor.';}

.widget-area .widget,
#secondary input[type="text"],
main#innerpage-box .woocommerce-product-search .search-field,
.woocommerce form .form-row input.input-text, 
.woocommerce form .form-row textarea,
.select2-container--default .select2-selection--single,
#innerpage-box .comment-respond,
main#innerpage-box div#commentsAdd textarea#comment,
.widget.widget_categories select,
div#secondary .select2-container--default .select2-selection--single,
.single_post .post-date-publishable,
div#secondary select,
.single-productpage #sidebars button,
.woocommerce .widget_shopping_cart .buttons a, 
.woocommerce.widget_shopping_cart .buttons a,
.woocommerce ul.cart_list li img, 
.woocommerce-page ul.cart_list li img, 
.woocommerce ul.product_list_widget li img, 
.woocommerce-page ul.product_list_widget li img,
.woocommerce .widget_shopping_cart .total, 
.woocommerce.widget_shopping_cart .total,
.woocommerce .products ul, 
.woocommerce-page .products ul, 
.woocommerce ul.products, 
.woocommerce-page ul.products,
.woocommerce-page .woocommerce-ordering select,
.woocommerce div.product form.cart .button, 
.woocommerce-page div.product form.cart .button, 
.woocommerce #content div.product form.cart .button, 
.woocommerce-page #content div.product form.cart .button,
.woocommerce #review_form #respond textarea,
.woocommerce #review_form #respond .form-submit input,
.woocommerce table.shop_table,
.woocommerce table.shop_table td,
.woocommerce table.shop_table tbody th, 
.woocommerce table.shop_table tfoot td, 
.woocommerce table.shop_table tfoot th,
.woocommerce-checkout #payment ul.payment_methods,
.woocommerce .cart .button, 
.woocommerce .cart input.button,
.woocommerce-cart .cart-collaterals .cart_totals tr th,
.woocommerce-cart .cart-collaterals .cart_totals tr td,
.woocommerce-cart table.cart td.actions .coupon .input-text,
input[type="text"], input[type="email"], input[type="url"], 
input[type="password"], input[type="search"], 
input[type="number"], input[type="tel"], input[type="range"], 
input[type="date"], input[type="month"], input[type="week"], input[type="time"], 
input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea,

.widget-area .widget, .woocommerce ul.products li.product a img, 
.widget-area ul, .widget-area .textwidget, .widget-area .woocommerce-product-search , 
.widget-area form#searchform, .widget-area .widget_rating_filter ul, 
.widget-area .woocommerce .widget_shopping_cart_content p, .widget-area div#calendar_wrap, 
.widget-area .widget_media_image img, .widget-area .tagcloud, 
input[type="text"],
input[type="email"], input[type="url"], input[type="password"], input[type="search"], 
input[type="number"], input[type="tel"], input[type="range"], input[type="date"], 
input[type="month"], input[type="week"], input[type="time"], input[type="datetime"], 
input[type="datetime-local"], input[type="color"], textarea,
.woocommerce .woocommerce-widget-layered-nav-list, #secondary .widget_nav_menu li a
    {border-color: '.$innerpagemainsectionsidebarborderrs.'!important;;}

.woocommerce table.shop_attributes th, 
.woocommerce table.shop_attributes td{border-bottom-color: '.$innerpagemainsectionsidebarborderrs.';}

.woocommerce table.shop_attributes{border-top-color: '.$innerpagemainsectionsidebarborderrs.';}

.woocommerce table.shop_attributes th, .woocommerce table.shop_attributes td,
.woocommerce div.product .product_title, .woocommerce div.product form.cart, 
.woocommerce div.product .woocommerce-tabs ul.tabs, 
main#innerpage-box .widget-area .tagcloud a, 
#innerpage-box .widget-area .widget-title,
.widget-area .widget h4 {border-bottom-color: '.$innerpagemainsectionsidebarborderrs.';}

.woocommerce table.shop_attributes, .woocommerce div.product form.cart, 
.woocommerce #content div.product .woocommerce-tabs, 
.woocommerce div.product .woocommerce-tabs, .woocommerce-page #content div.product .woocommerce-tabs, 
.woocommerce-page div.product .woocommerce-tabs{border-top-color: '.$innerpagemainsectionsidebarborderrs.';}

.woocommerce ul.products li.product, 
.woocommerce-page ul.products li.product,
.woocommerce ul.products li.product a img,
.woocommerce div.product div.images img,
.quantity input[type="number"],
.woocommerce .products ul, 
.woocommerce-page .products ul, 
.woocommerce ul.products, 
.woocommerce-page ul.products{border-color: '.$innerpagemainsectionsidebarborderrs.' !important;}

div#secondary .widget_calendar table thead tr th, 
.pagination .page-numbers, 
.pagination .page-numbers:hover{color: '.$innerpagesidebardaytxtColors.';}

div#secondary .widget_calendar table thead tr th{background-color: '.$innerpagesidebardaybgsstxtColors.';}

blockquote{background-color: '.$innerpageblockquoteColors.';}
blockquote p{color: '.$innerpageblockquotetextColors.' !important;}
blockquote:before,
blockquote:after{color: '.$innerpageblockquoteicnClr.';}
blockquote{border-color: '.$innerpageblockquotebrdClr.';}

main#innerpage-box #blog-box h2, 
main#innerpage-box #blog-box h2 small{color: '.$innerpageblogtitlecolor.';}  

main#innerpage-box #blog-box .inner-blog-excerpt{color: '.$innerpageblogtextclr.';}

#innerpage-box .inner-blog-post:nth-child(3n - 2) .blog-Athr li{background: linear-gradient(to right,'.$innerpageblogdatebgclr1one.' 20%,'.$innerpageblogdatebgclr1two.' 82%);}
#innerpage-box .inner-blog-post:nth-child(3n - 1) .blog-Athr li{background: linear-gradient(to right,'.$innerpageblogdatebgclr2one.' 20%,'.$innerpageblogdatebgclr2two.' 82%);} 
#innerpage-box .inner-blog-post:nth-child(3n - 0) .blog-Athr li{background: linear-gradient(to right,'.$innerpageblogdatebgclr3one.' 20%,'.$innerpageblogdatebgclr3two.' 82%);} 
#innerpage-box .inner-blog-post:nth-child(3n - 2) .ht-blog-thumbnail:before{background: linear-gradient('.$innerpageblogdatebgclr1two.','.$innerpageblogdatebgclr1two.',transparent); }
#innerpage-box .inner-blog-post:nth-child(3n - 1) .ht-blog-thumbnail:before{background: linear-gradient('.$innerpageblogdatebgclr2two.','.$innerpageblogdatebgclr2two.',transparent); }
#innerpage-box .inner-blog-post:nth-child(3n - 0) .ht-blog-thumbnail:before{background: linear-gradient('.$innerpageblogdatebgclr3two.','.$innerpageblogdatebgclr3two.',transparent); }

#innerpage-box .inner-blog-post:nth-child(3n - 2) .bloginnbtn a:after{background: '.$innerpageblogdatebgclr1two.'; }
#innerpage-box .inner-blog-post:nth-child(3n - 1) .bloginnbtn a:after{background: '.$innerpageblogdatebgclr2two.'; }
#innerpage-box .inner-blog-post:nth-child(3n - 0) .bloginnbtn a:after{background: '.$innerpageblogdatebgclr3two.'; }

#innerpage-box .inner-blog-post .blog-Athr li{color: '.$innerpageblogicnautrclr.';}   
#innerpage-box .inner-blog-post .blog-Athr li i{color: '.$innerpageblogdcicnclr.';}  

#innerpage-box .inner-blogpost{background-color: '.$innerpageblogbxbgclr.';}
#innerpage-box .inner-blogpost{box-shadow: 32px 7px 65px 31px '.$innerpageblogbxshwclr.';}

#innerpage-box .bloginnbtn a{color: '.$innerpageblogbtntxtclr.';}
#innerpage-box .bloginnbtn a:hover{color: '.$innerpageblogbtntxthvclr.';}
#innerpage-box .bloginnbtn a:before{background-color: '.$innerpageblogbtnbgclr.';}
#innerpage-box .bloginnbtn a{box-shadow: 48px 10px 60px 10px '.$innerpageblogbtnshdclr.';}
';

$innerpageallothrtheadtextcolcolor = get_theme_mod('luzuk_template_innerpageallothrtheadtextcolcolor_color', '#000');
$innerpageallothrtheadtextbgsscolcolorcolor = get_theme_mod('luzuk_template_innerpageallothrtheadtextbgsscolcolor_color', '#ffffff');

    $custom_css .= '
div#sitemap-box h3,
#blog-box .blog-read-more a,
.socialMedia a,
div#secondary input[type="submit"],
#commentsAdd input[type="submit"],
.single-productpage #sidebars button,
.widget_calendar tfoot tr td a, .widget_calendar tfoot tr td a:hover,
button, input[type="button"], input[type="reset"], input[type="submit"],
.woocommerce span.onsale,
#secondary .widget_nav_menu li a:after{color: '.$innerpageallothrtheadtextcolcolor.';}

.single-productpage #sidebars button{color: '.$innerpageallothrtheadtextcolcolor.' !important;}

.woocommerce a.button, .woocommerce-page a.button,
.woocommerce div.product .woocommerce-tabs ul.tabs li a,
.woocommerce #review_form #respond .form-submit input,
.woocommerce button.button,.select2-container--default .select2-results__option--highlighted[aria-selected], 
.select2-container--default .select2-results__option--highlighted[data-selected],
.woocommerce div.product form.cart .button{color: '.$innerpageallothrtheadtextcolcolor.' !important;}

div#secondary select option,
.select2-container--default .select2-results>.select2-results__options,
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
.woocommerce-page .woocommerce-ordering option,
.woocommerce-MyAccount-content input[type="text"],
.woocommerce-MyAccount-content input[type="email"],
.woocommerce-MyAccount-content input[type="url"], 
.woocommerce-MyAccount-content input[type="password"],
.woocommerce form .form-row input.input-text,
.woocommerce form .form-row textarea,
.woocommerce-error, 
.woocommerce-info, 
.woocommerce-message,#secondary .widget_nav_menu li a,
#secondary input[type="text"], #secondary input[type="email"], #secondary input[type="url"], 
#secondary input[type="password"], #secondary input[type="search"], #secondary input[type="number"], 
#secondary input[type="tel"], #secondary input[type="range"], #secondary input[type="date"], 
#secondary input[type="month"], #secondary input[type="week"], #secondary input[type="time"], 
#secondary input[type="datetime"], #secondary input[type="datetime-local"], #secondary input[type="color"], 
#secondary textarea, #secondary select, #secondary label, div#secondary select option
{background-color: '.$innerpageallothrtheadtextbgsscolcolorcolor.' !important;}

   ';

if(get_theme_mod('luzuk_premium_contactusinn_section_background','on') == 'on' ){

    $bgimg = get_theme_mod('luzuk_contactusinn_bg_image');
    $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/appform.jpg';

    $custom_css .= '#ht-contactus-wrap .blog-form{background-image: url("'.$img.'");background-position: top;background-size: cover;background-repeat: no-repeat;}';
}else{
    $color = get_theme_mod('luzuk_contactusinn_bg_color', '#fff');
    if('#fff' != $color){
        $custom_css .= '#ht-contactus-wrap .blog-form{background-color: '.$color.';}';
    }
}
// Contact Page

//$contactusdetailbg = get_theme_mod('luzuk_contactus_detailbgClr', '#f8a738');
$contactustitleftsize = get_theme_mod('luzuk_contactus_lefttitleftsize', '40px');
$contactustitleclr = get_theme_mod('luzuk_contactus_hdngclr', '#000');
$contactusdetailicn1 = get_theme_mod('luzuk_contactus_dicnClr1', '#6f38eb');
$contactusdetailicn2 = get_theme_mod('luzuk_contactus_dicnClr2', '#549de1');
$contactusdetaildphem = get_theme_mod('luzuk_contactus_dphemClr', '#000');
$contactusdetaildphemhv = get_theme_mod('luzuk_contactus_dphemhvClr', '#ff8c4f');

$ContactusformbxbgClr = get_theme_mod('luzuk_contactus_formbxbgClr', '#fff');
$ContactusformbxshdClr = get_theme_mod('luzuk_contactus_formbxshdClr', '#d1daf4');
$ContactusformbtnshdClr = get_theme_mod('luzuk_contactus_formbxbtnshdClr', '#caceda');
$ContactusformtitleColor = get_theme_mod('luzuk_contactus_formtitleColor', '#000');
$ContactusformlabelColor = get_theme_mod('luzuk_contactus_formlabelColor', '#000');
$ContactusformtextplaceColor = get_theme_mod('luzuk_contactus_formtextplaceColor', '#000');
$contactusformbgClr = get_theme_mod('luzuk_contactus_formbgClr', '#e5eafd');

$ContactusformbtnColor = get_theme_mod('luzuk_contactus_formbtnColor', '#fff');
$ContactusformbtnbgColor = get_theme_mod('luzuk_contactus_formbtnbgColor', '#000');
$ContactusformbtnhoverColor = get_theme_mod('luzuk_contactus_formbtnhoverColor', '#634fef');
$ContactusformbtnbghoverColor = get_theme_mod('luzuk_contactus_formbtnbghoverColor', '#ff74a3');


    $custom_css .= '
#innerpage-box .contact-address-area .cntlhsbx .contactinn-title h2,
#ht-contactus-wrap .maintle{font-size: '.$contactustitleftsize.';}
#innerpage-box .contact-address-area .cntlhsbx .contactinn-title h2{color: '.$contactustitleclr.' !important;}
#innerpage-box .cntpgicn i{background: linear-gradient(150deg,'.$contactusdetailicn1.' 35%,'.$contactusdetailicn2.' 82%);-webkit-background-clip: text;-webkit-text-fill-color: transparent;}
#innerpage-box .cntpgtxt p ,
#innerpage-box .cntpgtxt a{color: '.$contactusdetaildphem.';}
#innerpage-box .cntpgtxt a:hover{color: '.$contactusdetaildphemhv.';}

#ht-contactus-wrap{background-color: '.$ContactusformbxbgClr.';}
#ht-contactus-wrap{box-shadow: 19px 9px 80px 9px '.$ContactusformbxshdClr.';}
#ht-contactus-wrap input[type="submit"]{box-shadow: 0px 13px 43px 27px '.$ContactusformbtnshdClr.';}

#ht-contactus-wrap .maintle{color: '.$ContactusformtitleColor.';}
#ht-contactus-wrap label {color: '.$ContactusformlabelColor.';}

#ht-contactus-wrap input[type="text"], 
#ht-contactus-wrap input[type="email"], 
#ht-contactus-wrap input[type="url"], 
#ht-contactus-wrap input[type="password"], 
#ht-contactus-wrap input[type="search"], 
#ht-contactus-wrap input[type="number"], 
#ht-contactus-wrap input[type="tel"], 
#ht-contactus-wrap input[type="range"], 
#ht-contactus-wrap input[type="date"], 
#ht-contactus-wrap input[type="month"], 
#ht-contactus-wrap input[type="week"], 
#ht-contactus-wrap input[type="time"], 
#ht-contactus-wrap input[type="datetime"],
#ht-contactus-wrap input[type="datetime-local"], 
#ht-contactus-wrap input[type="color"],
#ht-contactus-wrap input[type="file"],
#ht-contactus-wrap select,
#ht-contactus-wrap textarea,
#ht-contactus-wrap input::placeholder,
#ht-contactus-wrap textarea::placeholder,
#ht-contactus-wrap select::placeholder,
.contact-page-form span {color: '.$ContactusformtextplaceColor.';}

#ht-contactus-wrap input[type="text"], 
#ht-contactus-wrap input[type="email"], 
#ht-contactus-wrap input[type="url"], 
#ht-contactus-wrap input[type="password"], 
#ht-contactus-wrap input[type="search"], 
#ht-contactus-wrap input[type="number"], 
#ht-contactus-wrap input[type="tel"], 
#ht-contactus-wrap input[type="range"], 
#ht-contactus-wrap input[type="date"], 
#ht-contactus-wrap input[type="month"], 
#ht-contactus-wrap input[type="week"], 
#ht-contactus-wrap input[type="time"], 
#ht-contactus-wrap input[type="datetime"],
#ht-contactus-wrap input[type="datetime-local"], 
#ht-contactus-wrap input[type="color"],
#ht-contactus-wrap input[type="file"],
#ht-contactus-wrap select,
#ht-contactus-wrap textarea {background-color: '.$contactusformbgClr.'!important;}

#innerpage-box #ht-contactus-wrap input[type="submit"] {color: '.$ContactusformbtnColor.';}
#innerpage-box #ht-contactus-wrap input[type="submit"] {background-color: '.$ContactusformbtnbgColor.';}
#innerpage-box #ht-contactus-wrap input[type="submit"]:hover{color: '.$ContactusformbtnhoverColor.';}
#innerpage-box #ht-contactus-wrap input[type="submit"]:hover{background-color: '.$ContactusformbtnbghoverColor.' !important;}
   
';

    $custom = get_post_custom( $post->ID );

    $image_id = get_post_meta( $post->ID, '_listing_image_id', true );
    $thumbnail_html = wp_get_attachment_image_src( $image_id, 'larger');

    // echo '<pre />'; print_r($custom);
    if(!empty($custom['useColor']) && $custom['useColor'][0]==1){
        if( isset( $custom['page_bg_color'][0] ) ){
            $custom_css .= '#innerpage-box{background-color:'.$custom['page_bg_color'][0].';}';
        }
    }elseif(!empty($custom['useColor']) && $custom['useColor'][0]==0){
        if( isset( $custom['_listing_image_id'][0]) ){
            $custom_css .= '#innerpage-box{background-image: url(\''.$thumbnail_html[0].'\');background-position: center;background-attachment: fixed;background-origin: content-box;background-size: cover;}';
        }
    }else {
        if( isset( $custom['_listing_image_id'][0]) ){
            $custom_css .= '#innerpage-box{background:none}';
        }
    }

    $custom_css .='.border{border:1px solid #fff;}';

    return punte_css_strip_whitespace($custom_css);
}