<?php 
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package luzuk Premium
 */
get_header(); ?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>

<!-- <header class="page-main-header"  style="background: url('<//?php //echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover; background-attachment: fixed;">
 -->
<header class="page-main-header">
    <div class="overlay1"></div>
      <div class="container">
        <div class="row row-eq-height">
            <div class="col-md-6 col-sm-6  col-xs-6 pd-0 innlhs-imgbx"  > 
               <div class="img-round">
                  <div class="hdr-img" <?php  if (!empty($image)) : ?>
                       style="background: url('<?php echo esc_url($image); ?>'); background-repeat: round; background-size:cover; position: relative;height: 100%;"
                        <?php endif ?>>
                  </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-xs-6 pd-0 innheadrhs">
                  <div class="breadcrumbbox wow zoomIn">
                      <?php the_title( '<h1 class="ht-main-title wow zoomIn">', '</h1>' ); ?>
                      <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?> 
                        <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                      <?php endif ?>
                  </div>
                  <?php
                      $hrader_fblink = get_theme_mod('hrader_fblink', '#');
                      $hrader_instalink = get_theme_mod('hrader_instalink', '#');
                      $hrader_twitlink = get_theme_mod('hrader_twitlink', '#');
                  ?>
                   <?php if ($hrader_fblink || $hrader_instalink || $hrader_twitlink) { ?>
                      <div class="header-social bounceInRight">
                          <?php if (!empty($hrader_instalink)) { ?>
                              <a target="_blank" href="<?php echo $hrader_instalink; ?>" ><i class="fa fa-instagram"></i></a>
                          <?php } ?>

                          <?php if (!empty($hrader_twitlink)) { ?>
                              <a target="_blank" href="<?php echo esc_url($hrader_twitlink) ?>" ><i class="fa-brands fa-x-twitter"></i></a>
                          <?php } ?>

                          <?php if (!empty($hrader_fblink)) { ?>
                              <a target="_blank" href="<?php echo esc_url($hrader_fblink) ?>"><i class="fa fa-facebook"></i></a>
                          <?php } ?>
                          <div class="clearfix"></div>
                      </div>
                   <?php } ?>
            </div>
            <div class="clearfix"></div>
      </div>
  </div>
</header><!-- .entry-header --> 

<main id="innerpage-box">
	<div class="container">
           <div class="inner_contentbox">
		<div id="content-box" class="innerpage-whitebox main-timeline">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'template-parts/content', 'page' ); ?>
				<?php
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
				?>
			<?php endwhile; // End of the loop. ?>
            <div class="clearfix"></div>
		</div><!-- #main -->
		<div class="clearfix"></div>
		
		<div class="pagingation">
    		<?php lzGetPagination($query);?>
		</div>
            <div class="clearfix"></div>
    </div>
	</div>
</main><!-- #main -->
<?php get_footer(); ?>

