<?php
/**
* The template for displaying search results pages.
*
* @package luzuk
*/

get_header(); ?>
<header class="page-main-header">
    <div class="overlay1"></div>
      <div class="container">
        <div class="row row-eq-height">
            <div class="col-md-6 col-sm-6  col-xs-6 pd-0 innlhs-imgbx"  > 
               <div class="img-round">
                  <div class="hdr-img" <?php  if (!empty($image)) : ?>
                       style="background: url('<?php echo esc_url($image); ?>'); background-repeat: round; background-size:cover; position: relative;height: 100%;"
                        <?php endif ?>>
                  </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-xs-6 pd-0 innheadrhs">
                  <div class="breadcrumbbox wow zoomIn">
                      <?php the_title( '<h1 class="ht-main-title wow zoomIn">', '</h1>' ); ?>
                      <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?> 
                        <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                      <?php endif ?>
                  </div>
                  <?php
                      $hrader_fblink = get_theme_mod('hrader_fblink', '#');
                      $hrader_instalink = get_theme_mod('hrader_instalink', '#');
                      $hrader_twitlink = get_theme_mod('hrader_twitlink', '#');
                  ?>
                   <?php if ($hrader_fblink || $hrader_instalink || $hrader_twitlink) { ?>
                      <div class="header-social bounceInRight">
                          <?php if (!empty($hrader_instalink)) { ?>
                              <a target="_blank" href="<?php echo $hrader_instalink; ?>" ><i class="fa fa-instagram"></i></a>
                          <?php } ?>

                          <?php if (!empty($hrader_twitlink)) { ?>
                              <a target="_blank" href="<?php echo esc_url($hrader_twitlink) ?>" ><i class="fa-brands fa-x-twitter"></i></a>
                          <?php } ?>

                          <?php if (!empty($hrader_fblink)) { ?>
                              <a target="_blank" href="<?php echo esc_url($hrader_fblink) ?>"><i class="fa fa-facebook"></i></a>
                          <?php } ?>
                          <div class="clearfix"></div>
                      </div>
                   <?php } ?>
            </div>
            <div class="clearfix"></div>
      </div>
  </div>
</header><!-- .entry-header --> 

<main id="innerpage-box">
	<div class="container">
		  <div class="inner_contentbox">
		<div id="content-box" class="col-md-9 innerpage-whitebox">
			<?php if ( have_posts() ) : ?>
				<?php /* Start the Loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<?php
					/**
					 * Run the loop for the search to output the results.
					 * If you want to overload this in a child theme then include a file
					 * called content-search.php and that will be used instead.
					 */
					get_template_part( 'template-parts/content', 'search' );
					?>
				<?php endwhile; ?>
				<?php 
				the_posts_pagination( 
					array(
						'prev_text' => __( 'Prev', 'total' ),
						'next_text' => __( 'Next', 'total' ),
					)
				); 
				?>
			<?php else : ?>
			<?php get_template_part( 'template-parts/content', 'none' ); ?>
			<?php endif; ?>
		</div><!-- #main -->
		<div class="col-md-3">
			<?php  get_sidebar(); ?>
		</div>
		<div class="clearfix"></div>
		<div class="row">
			<div class="col-md-12">
				<div class="pagingation">
					<?php lzGetPagination($query);?>
				</div>
			</div>
		</div>
		<div class="clearfix"></div>
	</div>
		<div class="clearfix"></div>
	</div>
</main><!-- #primary -->
<?php get_footer();
