<?php
if(get_theme_mod('about_area_disable') != 'on' ){
	?>
	<!-- About Area Start -->
	<?php 
		if( get_theme_mod('about_areaTpadding',true) ) {
			$about_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('about_areaTpadding')).';';
		}
		if( get_theme_mod('about_areaBpadding',true) ) {
			$about_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('about_areaBpadding')).';';
		}
		if( get_theme_mod('about_areawave',true) ) {
			$about_areawave = 'top:'.esc_attr(get_theme_mod('about_areawave')).';';
		}
	?>			
	<div class="about-area " id="about">
		<div class="container">
			<div class="col-md-12 pd-0">
		<?php
			$about_page_id = get_theme_mod('about_page');
			$aboutsubtitle = get_theme_mod('aboutsubtitle', 'About Our Agency');
			$abouttitle = get_theme_mod('about_title', 'YOUR BEAUTY AND SUCCESS STARTS HERE');
			$abouttext1 = get_theme_mod('about_text1', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pretium massa. Morbi dapibus metus finibus, condimentum dolor non, accumsan augue. Mauris rutrum libero dui, nec elementum mi tristique eget.');
			$abouttext2 = get_theme_mod('about_text2', 'It is a long established fact that a reader will be distracted by the read able content of  a page when looking  at its layout. The  point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters.');
		?>
			<div class="section-title wow slideInLeft">
				<?php if( $aboutsubtitle){ ?>
					<div class="titlicnbx">
						<h1><?php echo ($aboutsubtitle);  ?></h1>
						<div class="titleicon"></div>
					</div>
				<?php } ?>
					<h2><?php echo ($abouttitle);  ?></h2>
				</div>
			<div class="abtrhs col-md-6  pd-0 wow slideInLeft" data-wow-duration="1s">
				<div class="section-subtext">
					<p><?php echo ($abouttext1);  ?></p>
					<p><?php echo ($abouttext2);  ?></p>
				</div>

				<div class="clearfix"></div>
			<?php
				$showStatic = true;
				for( $i = 1; $i < 11; $i++ ){
					$aboutus_page_id = get_theme_mod('aboutus_page_icon'.$i); 
					if(!empty($aboutus_page_id)){
						$showStatic = false;
						break;
					}
				}
				?>

				<div class="aboutus-post-wrap">
					<?php
					$cols = get_theme_mod('aboutus_npp_count', 9);
					$cols++;
					// echo '$cold: '.$cols;
					switch($cols){
						case 1:
						$colCls = 'col-md-6 col-sm-6';
						break;
						case 2:
						case 4:
						case 8:
						case 7:
						case 10:
						case 11:
						case 12:
						$colCls = 'col-md-6 col-sm-6';
						break;
						default: 
						$colCls = 'col-md-6 col-sm-6';
						break;
					}
					$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
					?>
					<div class="aboutus-post-boxes">
					<?php
					for( $i = 1; $i <= $cols; $i++ ){
					if($showStatic === false){
						
						$aboutus_page_title = get_theme_mod('aboutus_page_title'.$i, 'Nsectetur cing elit.');
						$aboutus_page_id = get_theme_mod('aboutus_page'.$i); 
						$aboutus_page_icon = get_theme_mod('aboutus_page_icon'.$i);
						if($aboutus_page_icon){
							
					?>
						<div class="<?php echo $colCls;?> pd-0">
							<?php 
								if($aboutus_page_title){
							?>
							<div class="aboutus-single" >
									<div class="col-md-1 col-sm-1 col-xs-1 pd-0">
										<div class="hi-icon">
											<span class="<?php echo $aboutus_page_icon; ?>"></span> 
										</div>
									</div>
									<div class="col-md-11 col-sm-11 col-xs-11">
										<div class="about-area-data">
											<h4 class="inner-area-title"><?php echo $aboutus_page_title; ?></h4>
										</div>
									</div>
								<div class="clearfix"></div>
							</div>
							<?php } ?>
							<div class="clearfix"></div>
						</div>
						<?php
						}
					}else{?>
						<div class="<?php echo $colCls;?> pd-0">
							<div class="aboutus-single" >
								<div class="col-md-1 col-sm-1 col-xs-1 pd-0">
									<div class="hi-icon">
										<span class="fa fa-scissors" aria-hidden="true"></span>
									</div>
								</div>
								<div class="col-md-11 col-sm-11 col-xs-11">
									<div class="about-area-data">
										<h4 class="inner-area-title">Nsectetur cing elit.</h4>
									</div>
								</div>
								<div class="clearfix"></div>					
							</div>
							<div class="clearfix"></div>
						</div>
					<?php }
					}?>
					<div class="clearfix"></div>
					</div>
				</div>
				<div class="abt-btn">
					<?php
						$abtbtntxt = get_theme_mod('abtbtntxt', 'READ MORE'); 
						$abtbtnlink = get_theme_mod('abtbtnlink', 'add link here');
					?>
						<?php if(!empty($abtbtntxt)){ ?>
							<a  class="btn" href="<?php echo $abtbtnlink ?>"><span><?php echo ($abtbtntxt);  ?></span></a>
						<?php }?> 
				</div>
			</div>
			<div class="col-md-6 wow slideInRight ">
				<div class="aboutarea-img">
					<div class="abtbrd"></div>
					<?php 
						$about_image = get_theme_mod('about_image');
						if(!empty($about_image)){
							echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($about_image).'" class="img-responsive secondry-bg-img" />';
						}else{
							echo '<img alt="About us" src="'.get_template_directory_uri().'/images/abotimg.jpg" class="img-responsive" />';
						}

					?>
					
					<div class="clearfix"></div>
				</div>
			</div>
		</div>
		<div class="clearfix"></div>
	</div>
</div>
	<!-- About Area End -->
<?php }  