<?php
/**
 *
 * @package Slider Premium
 */
?>
<?php $showContent = get_theme_mod('premium_slider_show_content', 'on'); ?>
<div id="ht-home-slider-section">
   
    <div id="slider" class="slider_section">
         <div class="container">
         <div  class="owl-carousel">
        <?php
        $args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
        if(!empty($pageId)){
            $args['page_id'] = absint($pageId);

        }
        $text = '';
        $query = new WP_Query($args);
        if($query->have_posts()){
            while($query->have_posts()) : $query->the_post(); 
                $pageLink = '';
                $slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
                $sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
                $sliderFacebook = get_post_meta($post->ID,'sliderFacebook',false);
                $slider_area_facebook = !empty($sliderFacebook[0]) ? $sliderFacebook[0] : '';
                $sliderTwitter = get_post_meta($post->ID,'sliderTwitter',false);
                $slider_area_twitter = !empty($sliderTwitter[0]) ? $sliderTwitter[0] : '';
                $sliderInstagram = get_post_meta($post->ID,'sliderInstagram',false);
                $slider_area_instagram = !empty($sliderInstagram[0]) ? $sliderInstagram[0] : '';

                if(!empty($slider_btn_link) && is_array($slider_btn_link)){
                    $pageLink = esc_url(get_permalink($slider_btn_link[0]));
                }
                if(!empty($sliderBtnTxt) && is_array($sliderBtnTxt)){
                    $pageLinkTxt = $sliderBtnTxt[0];
                }else{
                    $pageLinkTxt = 'Start Free Trial';
                }
        ?>
        <!-- <div class="ht-slide"> -->
        <div class="item">
            <div class="col-md-6 col-sm-6 slider-img">
                <div class="sliderimg animated bounceInLeft">
                    <div class="slider-imgbrd">
                         <?php 
                            if(has_post_thumbnail()){
                                $total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');  
                                echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
                        }?>
                    </div>
                </div> 
            </div>
            <div class="col-md-6 col-sm-6 slider-content">
                <?php
                    if($showContent == 'on'){
                        ?>
                    <div class="ht-slide-caption ">
                        <div class="ht-slide-cap-title animated bounceInRight">
                            <?php echo (get_the_title()); ?>
                        </div>
                        <div class="ht-slide-cap-desc animated bounceInLeft">
                            <?php echo (get_the_content()); ?>
                        </div>      
                                            
                        <?php 
                        if(!empty($pageLink)){ ?>
                        <div class="slider-btn animated bounceInRight">
                            <a class="btn btn-lg" href="<?php echo $pageLink; ?>"><span><?php echo($pageLinkTxt); ?></span></a>
                        </div>
                        <?php }?>  

                         <?php if ($slider_area_facebook || $slider_area_twitter || $slider_area_instagram) { ?>
                            <div class="slider-social animated bounceInRight">
                                <?php if (!empty($slider_area_instagram)) { ?>
                                    <a target="_blank" href="<?php echo esc_url($slider_area_instagram) ?>" ><i class="fa fa-instagram"></i></a> 
                                <?php } ?>

                                <?php if (!empty($slider_area_twitter)) { ?>
                                    <a target="_blank" href="<?php echo esc_url($slider_area_twitter) ?>" ><i class="fa-brands fa-x-twitter"></i></a>
                                <?php } ?>

                                <?php if (!empty($slider_area_facebook)) { ?>
                                    <a target="_blank" href="<?php echo esc_url($slider_area_facebook) ?>"><i class="fa fa-facebook"></i></a>
                                <?php } ?>
                                <div class="clearfix"></div>
                            </div>
                        <?php } ?>
                    </div>
                <?php }?>
            </div>
        </div>
                    <?php
                endwhile;
            }else{ 
                for($i=0;$i<2;$i++){?>
        <!-- <div class="ht-slide"> -->
        <div class="item">
            <div class="col-md-6 col-sm-6 slider-img">
                <div class="sliderimg animated bounceInLeft">
                    <div class="slider-imgbrd">
                        <?php echo '<img alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider-banner.jpg">';?>
                    </div>
                </div> 
            </div>
            <div class="col-md-6 col-sm-6 slider-content">
                <?php if($showContent == 'on'){?>
                    <div class="ht-slide-caption ">
                        <div class="ht-slide-cap-title">
                            FASHION IS MY DRUG
                        </div>
                        <div class="ht-slide-cap-desc animated bounceInLeft">
                           It is a long established fact that a reader will be distracted by the readable content of a page when looking at  its layout. The point of using Lorem Ipsum.
                        </div>
                        <div class="slider-btn animated bounceInRight">
                            <a class="btn btn-lg" href="#">
                                <span>VIEW MORE</span>
                            </a>
                        </div>
                        <div class="slider-social animated bounceInRight">
                            <a target="_blank" href="#" class="wow fadeInDown" ><i class="fa fa-instagram"></i></a>
                            <a target="_blank" href="#" class="wow fadeInDown" ><i class="fa-brands fa-x-twitter"></i></a>
                            <a target="_blank" href="#" class="wow fadeInDown" ><i class="fa fa-facebook"></i></a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                <?php }?>
            </div>
        </div>
        <?php }
    }?>
</div>
    </div>
</div>
    <script>
        $(document).ready(function() {
          $('#slider .owl-carousel').owlCarousel({
             refreshClass: 'owl-refresh',
            autoplayTimeout:7000,
            loop: true,
            margin: 30,
            autoHeight: true,
            autoWidth: false,
            autoplay: true,
            animateOut: 'zoomOutRight',
            animateIn: 'zoomInLeft',
            responsiveClass: true,
            responsive: {
              0: {
                items: 1,
                nav: true,
                margin: 10
              },
              600: {
                items:1,
                nav: true,
                margin: 10
              },
              1000: {
                items:1,
                nav: true,
                loop: true,
                margin: 10
              }
            }
          })
        })
    </script>
</div>
