<?php   

/*services*/
function serviceShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('service_npp_count',3);  
    $services_page_icon1 = get_theme_mod('services_page_icon1'.$i);
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-4 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
            $post = get_post();

            ?>
        <div class="<?php echo $colCls; ?> single-service-bx wow zoomIn"> 
            <div class="single-service singleservice" ser-match-height>
                <div class="ser-wave">
                    <svg viewBox="0 0 400 300">
                        <path fill-rule="evenodd"  
                         d="M21.000,1.000 C138.000,1.000 255.000,1.000 372.000,1.000 C385.552,27.686 388.474,59.071 375.000,85.000 C355.679,122.180 313.076,131.593 290.000,132.000 C272.134,132.315 254.831,124.697 232.000,128.000 C215.832,130.339 204.174,135.717 197.000,141.000 C183.266,151.115 176.535,164.668 169.000,186.000 C160.747,209.364 157.174,227.107 145.000,242.000 C134.716,254.580 120.111,265.564 103.000,270.000 C84.594,274.771 65.596,270.590 36.000,258.000 C23.769,252.797 11.886,247.184 -0.000,241.000 C-0.000,164.667 -0.000,88.333 -0.000,12.000 C4.813,5.844 11.001,1.540 18.000,1.000 C18.997,0.923 19.997,0.923 21.000,1.000 Z"/>
                    </svg>
                </div> 
                <div class="service-icon">
                    <a href="<?php the_permalink(); ?>">
                    <?php
                        // if (has_post_thumbnail()) {
                        //     $image_url = $luzuk_image[0];
                        // } else {
                        //     $image_url = get_template_directory_uri() . '/images/services.jpg';
                        // }
                    ?>                                                        
                       <i class="<?php echo $services_page_icon1; ?>" aria-hidden="true"></i>
                    </a>
                </div>
                <div class="sertxbx">
                    <a href="<?php the_permalink(); ?>">
                        <h4 class="post-title inner-area-title wow fadeInDown"><?php the_title(); ?></h4>
                    </a>
                    <p class="section-area-text">
                        <?php

                            if(has_excerpt()){
                              echo get_the_excerpt();
                             }else{
                              echo luzuk_excerpt( get_the_content() , 120 );
                             } 
                        ?>
                    </p>    
                </div>
            </div>
        </div>
        <!-- inner-page -->
        <div class="col-md-4 col-sm-6 col-xs-12 inn-single-service-bx">
            <div class="singleinner-service">
                 <div class="service_inbox serviceinbox">
                    <!-- <div class="col-md-10 col-sm-10 col-xs-10 pd-0"> -->
                        <div class="service_inimg">
                            <a href="<?php the_permalink(); ?>">
                           <?php
                            if (has_post_thumbnail()) {
                                $image_url = $luzuk_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/services.jpg';
                            }
                            ?>                                                        
                            <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        </a>
                        </div>
                        <div class="serbx">
                            <div class="serin-shw">
                                <svg viewBox="0 0 380 270">
                                    <path fill-rule="evenodd" 
                                     d="M368.000,20.000 C347.225,4.144 320.813,-2.671 295.000,2.000 C274.483,5.713 252.972,16.966 239.000,36.000 C228.798,49.898 226.459,66.831 219.000,87.000 C212.958,103.338 206.813,115.049 199.000,123.000 C187.647,134.554 170.990,143.401 148.000,147.000 C115.740,152.051 98.616,137.125 68.000,145.000 C44.826,150.961 26.150,166.644 15.000,184.000 C7.151,196.219 -5.670,222.797 3.000,251.000 C4.868,257.077 7.574,262.754 11.000,268.000 C123.000,268.000 235.000,268.000 347.000,268.000 C361.839,265.847 370.745,258.765 368.000,242.000 C368.000,168.000 368.000,94.000 368.000,20.000 Z"/>
                                </svg>
                            </div>
                                <a href="<?php the_permalink(); ?>">
                                <h2 class="title"> <?php the_title(); ?> </h2></a>
                                <p class="description"><?php
                                    if(has_excerpt()){
                                      echo get_the_excerpt();
                                     }else{
                                      echo luzuk_excerpt( get_the_content() , 110 );
                                     } 
                                    ?>
                                </p>
                            <?php
                                $ser_button2 = get_theme_mod('ser_button2', 'READ MORE');
                            ?>
                            <?php if($ser_button2) { ?>
                                <div class="serbtn">  
                                    <a class= "btn" href="<?php echo esc_url(get_permalink()); ?>">
                                        <span><?php echo $ser_button2 ?></span>
                                    </a>
                                    <div class="clearfix"></div>
                                </div> 
                            <?php }?>
                            <div class="clearfix"></div>
                            </div>
                    <!-- </div> -->
                    <div class="clearfix"></div>
                </div>
            </div>
        </div>
        <!-- inner-page -->
        <script type="text/javascript">
    function matchHeight(){
    var groupName = $('[ser-match-height]');
    var groupHeights = [];
    
    groupName.css('min-height', 'auto');
    
    groupName.each(function() {
      groupHeights.push($(this).outerHeight());
    });
    
    var maxHeight = Math.max.apply(null, groupHeights);
    groupName.css('min-height', maxHeight);
  };
  
  return {
    init: init
  };
  
 ();

$(document).ready(function() {
  matchHeight.init();
});
</script>
        <script>
              var maxHeight = -1,
              elems = document.querySelectorAll("#innerpage-box .singleinner-service > *");
              elems = [].slice.call(elems) // Now a true Array

              elems.forEach(function(e){
                  maxHeight = Math.max(maxHeight, e.offsetHeight);
              });

              elems.forEach(function(e){
                  e.style.height = maxHeight + "px";
              });

        </script>

            <?php
        endwhile;
        $text = ob_get_contents();
        ob_clean();
    endif;
    wp_reset_postdata();
    return $text;
}



//adding a shortcode 

add_shortcode('SERVICES', 'serviceShortCode');
