<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package luzuk Premium
 */

$luzuk_lite_single_breadcrumb_section = get_theme_mod('luzuk_lite_single_breadcrumb_section', '1');
$luzuk_lite_single_tags_section = get_theme_mod('luzuk_lite_single_tags_section', '1');
$luzuk_lite_authorbox_section = get_theme_mod('luzuk_lite_authorbox_section', '1');
$luzuk_lite_relatedposts_section = get_theme_mod('luzuk_lite_relatedposts_section', '1');

get_header(); ?> 
 <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header">
    <div class="overlay1"></div>
      <div class="container">
        <div class="row row-eq-height">
            <div class="col-md-6 col-sm-6  col-xs-6 pd-0 innlhs-imgbx"  > 
               <div class="img-round">
                  <div class="hdr-img" <?php  if (!empty($image)) : ?>
                       style="background: url('<?php echo esc_url($image); ?>'); background-repeat: round; background-size:cover; position: relative;height: 100%;"
                        <?php endif ?>>
                  </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-xs-6 pd-0 innheadrhs">
                  <div class="breadcrumbbox wow zoomIn">
                      <?php the_title( '<h1 class="ht-main-title wow zoomIn">', '</h1>' ); ?>
                      <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?> 
                        <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                      <?php endif ?>
                  </div>
                  <?php
                      $hrader_fblink = get_theme_mod('hrader_fblink', '#');
                      $hrader_instalink = get_theme_mod('hrader_instalink', '#');
                      $hrader_twitlink = get_theme_mod('hrader_twitlink', '#');
                  ?>
                   <?php if ($hrader_fblink || $hrader_instalink || $hrader_twitlink) { ?>
                      <div class="header-social bounceInRight">
                          <?php if (!empty($hrader_instalink)) { ?>
                              <a target="_blank" href="<?php echo $hrader_instalink; ?>" ><i class="fa fa-instagram"></i></a>
                          <?php } ?>

                          <?php if (!empty($hrader_twitlink)) { ?>
                              <a target="_blank" href="<?php echo esc_url($hrader_twitlink) ?>" ><i class="fa-brands fa-x-twitter"></i></a>
                          <?php } ?>

                          <?php if (!empty($hrader_fblink)) { ?>
                              <a target="_blank" href="<?php echo esc_url($hrader_fblink) ?>"><i class="fa fa-facebook"></i></a>
                          <?php } ?>
                          <div class="clearfix"></div>
                      </div>
                   <?php } ?>
            </div>
            <div class="clearfix"></div>
      </div>
  </div>
</header><!-- .entry-header --> 

<main id="innerpage-box">
    <div class="container">
        <div class="inner_contentbox">
            <div id="content-box" class="innerpage-whitebox">
                <div class="col-md-9">
                    <article class="article">       
                        <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                        <div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
                            <div class="single_post">
                              
                               <!-- Start Content -->
                               <div id="content" class="post-single-content box mark-links">
                                <?php the_content(); ?>
                            </div><!-- End Content -->
                            
                                <?php comments_template( '', true ); ?>
                            </div>
                        </div>
                    <?php endwhile; ?>
                    </article>
                </div>
                <div class="col-md-3">
                  <div id="secondary" class="widget-area">
                        <?php  dynamic_sidebar('luzuk-service-sidebar'); ?>                         
                    </div> 
                </div>
            <!-- Start Sidebar -->
            <?php // get_sidebar(); ?>
            <!-- End Sidebar -->
        </div>

        <div class="clearfix"></div>
    </div>
  <div class="clearfix"></div>
    </div>
</main>
<?php get_footer(); ?>