<?php
/**
 * Template Name: Contact Page
 *
 * @package luzuk Premium
 */
get_header(); 
?>

  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header">
    <div class="overlay1"></div>
      <div class="container">
        <div class="row row-eq-height">
            <div class="col-md-6 col-sm-6  col-xs-6 pd-0 innlhs-imgbx"  > 
               <div class="img-round">
                  <div class="hdr-img" <?php  if (!empty($image)) : ?>
                       style="background: url('<?php echo esc_url($image); ?>'); background-repeat: round; background-size:cover; position: relative;height: 100%;"
                        <?php endif ?>>
                  </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-xs-6 pd-0 innheadrhs">
                  <div class="breadcrumbbox wow zoomIn">
                      <?php the_title( '<h1 class="ht-main-title wow zoomIn">', '</h1>' ); ?>
                      <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?> 
                        <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                      <?php endif ?>
                  </div>
                  <?php
                      $hrader_fblink = get_theme_mod('hrader_fblink', '#');
                      $hrader_instalink = get_theme_mod('hrader_instalink', '#');
                      $hrader_twitlink = get_theme_mod('hrader_twitlink', '#');
                  ?>
                   <?php if ($hrader_fblink || $hrader_instalink || $hrader_twitlink) { ?>
                      <div class="header-social bounceInRight">
                          <?php if (!empty($hrader_instalink)) { ?>
                              <a target="_blank" href="<?php echo $hrader_instalink; ?>" ><i class="fa fa-instagram"></i></a>
                          <?php } ?>

                          <?php if (!empty($hrader_twitlink)) { ?>
                              <a target="_blank" href="<?php echo esc_url($hrader_twitlink) ?>" ><i class="fa-brands fa-x-twitter"></i></a>
                          <?php } ?>

                          <?php if (!empty($hrader_fblink)) { ?>
                              <a target="_blank" href="<?php echo esc_url($hrader_fblink) ?>"><i class="fa fa-facebook"></i></a>
                          <?php } ?>
                          <div class="clearfix"></div>
                      </div>
                   <?php } ?>
            </div>
            <div class="clearfix"></div>
      </div>
  </div>
</header><!-- .entry-header -->  

<main id="innerpage-box" >
	<div class="container">
		<div class="contform" >
			<div id="ht-contactus-wrap">
				<!-- <div class="contpgimg-img"></div> -->
				<?php 
					$lfttitle = get_theme_mod('luzuk_contactus_lefttitle', 'CONNECT WITH ME!');
					$email = get_theme_mod('luzuk_contactus_email', 'info@yourmailhere.com');
			    	//$email2 = get_theme_mod('luzuk_contactus_email2', 'info@yourmailhere2.com');
			    	$phone = get_theme_mod('luzuk_contactus_phone', '+000 1111 22222 33');
			    	//$phone2 = get_theme_mod('luzuk_contactus_phone2', '+11 000 1111 2222');
					$address = get_theme_mod('luzuk_contactus_address', '895 Barrett Ave Morgan Hill California 95037 United States');
					$shortcodeLbl = get_theme_mod('luzuk_contactus_shortcode_lbl', 'GET IN TOUCH WITH ME!');
					$shortcode = get_theme_mod('luzuk_contactus_shortcode', 'Add your form shortcode customizer');
					$iframe = get_theme_mod('luzuk_contactus_embade', 'Add your Embed code in customizer');
					
						?>
				
				<div class="contact-address-area col-md-7">
					<div class="blog-form"></div>
			    	<div class="cntlhsbx">	
			    		<div class="contactinn-title">
							<h2><?php echo $lfttitle;?></h2>
						</div>			   		
						 <?php if($phone){ ?>
				   		<!-- <div class="col-md-4 col-sm-12 col-xs-12 "> -->
				   			<div class="cntpgbx">
				   				<div class="col-md-2 col-sm-2">
				   					<div class="cntpgicn">
						   				<i class="fa fa-phone" ></i>
						   			</div>
				   				</div>
				   				<div class="col-md-10 col-sm-10">
				   					<div class="cntpgtxt">
						   				<a class="" href="tel:<?php echo $phone;?>"><?php echo $phone;?></a>
						   			</div>
				   				</div>
						   		<div class="clearfix"></div>
					   		</div>
					   <!-- 	</div> -->
						 <?php } ?>	

						 <?php if( $email){ ?>
						<!-- <div class="col-md-4 col-sm-12 col-xs-12 "> -->
				   			<div class="cntpgbx">
				   				<div class="col-md-2 col-sm-2">
				   					<div class="cntpgicn">
						   				<i class="fa fa-envelope" ></i>
						   			</div>
				   				</div>
					   			<div class="col-md-10 col-sm-10">
					   				<div class="cntpgtxt">
						   				<a href="mailto:<?php echo $email;?>"><?php echo $email;?></a>
						   			</div>
					   			</div>
						   		<div class="clearfix"></div>
					   		</div>
					   	<!-- </div> -->
						 <?php } ?>	

					 	<?php if( $address ){ ?>
						<!-- <div class="col-md-4 col-sm-12 col-xs-12 "> -->
				   			<div class="cntpgbx info-locationinn">
				   				<div class="col-md-2 col-sm-2">
				   					<div class="cntpgicn">
						   				<i class="fa fa-map-marker" ></i>
						   			</div>
				   				</div>
					   			<div class="col-md-10 col-sm-10">
					   				<div class="cntpgtxt">
						   				<p><?php echo $address;?></p>
						   			</div>
					   			</div>
						   		<div class="clearfix"></div>
					   		</div>
					   <!-- 	</div> -->
						 <?php } ?>

					 	<div class="clearfix"></div>
					</div>
				</div>
				<div class="contact-form col-md-5   pd-0">
					<div class="conforminn">
						<?php if(!empty($shortcodeLbl)){ ?>
		                <div class="maintle inner-area-title"><?php echo $shortcodeLbl;?></div>	
		                	<?php }?>
		               
		                <div class="ctform">
							<?php echo do_shortcode($shortcode);?>	
						</div>
						<div class="clearfix"></div>	
					</div>
					<div class="clearfix"></div>					
				</div>
				<div class="clearfix"></div>
			</div>
			<div class="clearfix"></div>
		</div>
		<div class="clearfix"></div>
	</div>	
	
	<!-- <div class="container"> --> 
		<div class="contact-mapbox wow zoomIn">
			<?php echo $iframe; ?>
		</div>
	<!-- </div> -->
	<div class="clearfix"></div>
</main>
<?php get_footer(); ?>